;;; -*- Mode: Lisp; Syntax: Common-lisp; Package: MKRP -*-
(* ************************************************)
(* DEFINITIONEN DER MENGENLEHRE)
(SORT SET:ANY)
(SORT ELEMENT:SET)
(TYPE EL (ELEMENT SET))
(* DEFINITION 2.2: KARTESISCHES PRODUKT)
(TYPE PAIR (ELEMENT ELEMENT) :ELEMENT)
(* DEFINITION 1.7: FUNKTION)
(SORT SYMB.OF.FUNCTION:ANY)
(TYPE MAPPING (SYMB.OF.FUNCTION SET SET))
(TYPE APPLY (SYMB.OF.FUNCTION ELEMENT) :ELEMENT)
(ALL F:SYMB.OF.FUNCTION ALL X,Y:SET MAPPING (F X Y) EQV (ALL A:ELEMENT EL (A X) IMPL EL (APPLY (F A) Y)))
(* DEFINITION 1.8: SURJEKTIV)
(TYPE SURJECTIVE (SYMB.OF.FUNCTION SET SET))
(ALL F:SYMB.OF.FUNCTION ALL X,Y:SET
  SURJECTIVE (F X Y)
  EQV 
  MAPPING (F X Y) AND (ALL B:ELEMENT EL (B Y) IMPL (EX A:ELEMENT EL (A X) AND APPLY (F A) = B)))
(* DEFINITIONEN VON RELATIONEN AUF EINER FESTEN MENGE S)
(SORT REL:SET)
(TYPE S:SET)
(SORT EL.OF.S:ELEMENT)
(ALL A:EL.OF.S EL (A S))
(* DEFINITION 2.5: REFLEXIV)
(TYPE REFLEXIV (REL))
(* DEFINITION 2.6: SYMMETRISCH)
(TYPE SYMMETRISCH (REL))
(* DEFINITION 2.7: TRANSITIV)
(TYPE TRANSITIV (REL))
(* DEFINITION 2.8: AEQUIVALENZRELATION)
(TYPE EQU.REL (REL))
(ALL RHO:REL EQU.REL (RHO) EQV REFLEXIV (RHO) AND SYMMETRISCH (RHO) AND TRANSITIV (RHO))
(SORT EQU.RELATION:REL)
(ALL RHO:EQU.RELATION REFLEXIV (RHO) AND SYMMETRISCH (RHO) AND TRANSITIV (RHO))
(* DEFINITION 2.13: DIE VON EINER ABBILDUNG PHI VON S NACH U INDUZIERTE AEQUIVALENZRELATION)
(TYPE IND.EQU (SYMB.OF.FUNCTION SET) :EQU.RELATION)
(ALL PHI:SYMB.OF.FUNCTION ALL U:SET 
 MAPPING (PHI S U)
 IMPL
 (ALL A:ELEMENT 
      EL (A IND.EQU (PHI U)) EQV (EX B,C:EL.OF.S A = PAIR (B C) AND APPLY (PHI B) = APPLY (PHI C))))
(ALL PHI:SYMB.OF.FUNCTION ALL U:SET NOT MAPPING (PHI S U) IMPL IND.EQU (PHI U) = CARTES (S S))
(* DEFINITION 2.14: VORBEREICH EINER RELATION UND EINES ELEMENTES)
(TYPE PREIMAGE (REL EL.OF.S) :SET)
(ALL RHO:REL ALL B:ELEMENT ALL A:EL.OF.S EL (B PREIMAGE (RHO A)) EQV EL (PAIR (B A) RHO))
(* DEFINITION 2.15: QUOTIENTENMENGE S MODULO RHO)
(TYPE MODULO (EQU.RELATION) :SET)
(ALL RHO:EQU.RELATION ALL A:ELEMENT EL (A MODULO (RHO)) EQV (EX B:EL.OF.S A = PREIMAGE (RHO B)))
(* DEFINITION 2.16: KANONISCHE PROJEKTION VON S AUF (S MODULO RHO))
(TYPE CAN.PROJ (EQU.RELATION) :SYMB.OF.FUNCTION)
(ALL RHO:EQU.RELATION
 MAPPING (CAN.PROJ (RHO) S MODULO (RHO)) AND (ALL A:EL.OF.S APPLY (CAN.PROJ (RHO) A) = PREIMAGE (RHO A)))

(ALL PHI:SYMB.OF.FUNCTION ALL U:SET SURJECTIVE (CAN.PROJ (IND.EQU (PHI U)) S MODULO (IND.EQU (PHI U))))
