;;; -*- Mode: Lisp; Syntax: Common-lisp; Package: MKRP -*-

(* ************************************************)
(* DEFINITIONEN DER MENGENLEHRE)
(SORT SET:ANY)
(SORT ELEMENT:SET)
(TYPE EL (ELEMENT SET))
(* DEFINITION 1.3: KARTESISCHES PRODUKT)
(TYPE CARTES (SET SET) :SET)
(TYPE PAIR (ELEMENT ELEMENT) :ELEMENT)
(* DEFINITION 1.7: FUNKTION)
(SORT SYMB.OF.FUNCTION:ANY)
(TYPE MAPPING (SYMB.OF.FUNCTION SET SET))
(TYPE MAPPING.S (SYMB.OF.FUNCTION SET SET))
(TYPE S:SET)
(SORT EL.OF.S:ELEMENT)
(TYPE APPLY (SYMB.OF.FUNCTION ELEMENT) :ELEMENT)
(* DEFINITION 1.8: SURJEKTIV)
(TYPE SURJECTIVE (SYMB.OF.FUNCTION SET SET))
(TYPE SURJECTIVE.S (SYMB.OF.FUNCTION SET SET))
(* ************************************************************************)
(* DEFINITIONEN VON RELATIONEN AUF EINER FESTEN MENGE S)
(SORT REL:SET)
(TYPE SUBSET (REL REL))
(* DEFINITION 2.8: AEQUIVALENZRELATION)
(SORT EQU.RELATION:REL)
(* DEFINITION 2.13: DIE VON EINER ABBILDUNG PHI VON S NACH U INDUZIERTE AEQUIVALENZRELATION)
(TYPE IND.EQU (SYMB.OF.FUNCTION SET) :EQU.RELATION)
(* SATZ 4-11 NEU-FORMULIERT)
(ALL PHI1,PHI2:SYMB.OF.FUNCTION ALL U,V:SET 
     SURJECTIVE.S (PHI1 S U) AND SURJECTIVE.S (PHI2 S V) AND SUBSET (IND.EQU (PHI1 U) IND.EQU (PHI2 V))
     IMPL 
     EX GR.PHI:SYMB.OF.FUNCTION 
     SURJECTIVE (GR.PHI U V) AND (ALL T:EL.OF.S APPLY (GR.PHI APPLY (PHI1 T)) = APPLY (PHI2 T)))
(* DEFINITION 2.15: QUOTIENTENMENGE S MODULO RHO)
(TYPE MODULO (EQU.RELATION) :SET)
(* DEFINITION 2.16: KANONISCHE PROJEKTION VON S AUF (S MODULO RHO))
(TYPE CAN.PROJ (EQU.RELATION) :SYMB.OF.FUNCTION)
(* SATZ4-10>1)
(ALL PHI:SYMB.OF.FUNCTION ALL U:SET SURJECTIVE.S (CAN.PROJ (IND.EQU (PHI U)) S MODULO (IND.EQU (PHI U))))
(* SATZ 4-12-1-1)
(ALL RHO:EQU.RELATION IND.EQU (CAN.PROJ (RHO) MODULO (RHO)) = RHO)
(* SATZ4-12>2-1)
(ALL RHO:EQU.RELATION SURJECTIVE.S (CAN.PROJ (RHO) S MODULO (RHO)))

(ALL RHO1,RHO2:EQU.RELATION 
     SUBSET (RHO1 RHO2)
     IMPL 
     EX GR.PHI:SYMB.OF.FUNCTION 
     SURJECTIVE (GR.PHI MODULO (RHO1) MODULO (RHO2))
     AND 
     (ALL A:EL.OF.S APPLY (GR.PHI APPLY (CAN.PROJ (RHO1) A)) = APPLY (CAN.PROJ (RHO2) A)))
