;;; -*- Mode: Lisp; Syntax: Common-lisp; Package: MKRP -*-)
(* ************************************************)
(* DEFINITIONEN DER MENGENLEHRE)
(SORT SET:ANY)
(SORT ELEMENT:SET)
(TYPE EL (ELEMENT SET))
(SORT REL:SET)
(SORT EL.OF.S:ELEMENT)
(TYPE PAIR (ELEMENT ELEMENT) :ELEMENT)
(* DEFINITION 1.1: TEILMENGE)
(TYPE SUBSET.REL (REL REL))
(ALL X,Y:REL SUBSET.REL (X Y) EQV (ALL A,B:EL.OF.S EL (PAIR (A B) X) IMPL EL (PAIR (A B) Y)))
(* DEFINITION 1.3: KARTESISCHES PRODUKT)
(* DEFINITION 1.4: VEREINIGUNG)
(TYPE UNION (REL REL) :REL)
(* ALL X,Y:REL ALL A,B:EL.OF.S EL (PAIR (A B) UNION (X Y)) EQV EL (PAIR (A B) X) OR EL (PAIR (A B) Y))
(* DEFINITION 1.6: NATUERLICHE ZAHLEN)
(SORT NAT:SET)
(TYPE 1:NAT)
(TYPE PLUS (NAT NAT) :NAT)
(* DEFINITIONEN VON RELATIONEN AUF EINER FESTEN MENGE S)
(TYPE S:SET)
(* DEFINITION 2.2: KOMPOSITION ZWEIER RELATIONEN)
(TYPE COMP (REL REL) :REL)
(* LEMMA 2.2.2)
(ALL RHO,SIGMA:REL ALL A,B:EL.OF.S 
     EL (PAIR (A B) COMP (RHO SIGMA)) EQV (EX C:EL.OF.S EL (PAIR (A C) RHO) AND EL (PAIR (C B) SIGMA)))
(* DEFINITION 2.7: TRANSITIV)
(TYPE TRANSITIV (REL))
(ALL RHO:REL 
     TRANSITIV (RHO)
     EQV 
     (ALL A,B,C:EL.OF.S EL (PAIR (A B) RHO) AND EL (PAIR (B C) RHO) IMPL EL (PAIR (A C) RHO)))
(* DEFINITION 2.8: AEQUIVALENZRELATION)
(SORT EQU.RELATION:REL)
(ALL RHO:EQU.RELATION REFLEXIV (RHO) AND SYMMETRISCH (RHO) AND TRANSITIV (RHO))
(* DEFINITION 2.9: POTENZ EINER RELATION)
(TYPE POWER (REL NAT) :REL)
(ALL RHO:REL POWER (RHO 1.) = RHO)
(ALL RHO:REL ALL N:NAT POWER (RHO PLUS (N 1.)) = COMP (POWER (RHO N) RHO))

(ALL RHO,SIGMA,TAU:EQU.RELATION ALL N:NAT 
     SUBSET.REL (UNION (RHO SIGMA) TAU) AND SUBSET.REL (POWER (UNION (RHO SIGMA) N) TAU)
     IMPL 
     SUBSET.REL (POWER (UNION (RHO SIGMA) PLUS (N 1.)) TAU))

