;;; -*- Package: MKRP; Base: 10; Mode: LISP; Syntax: Common-lisp -*-

(CONSTRUCTION  "Unix" "06-MAR,1992 01:10" 
              ("Edit:     Axioms and Theorems edited: 12-JUL,1990 01:27 "
               ))

(AXIOMS.INFIX    ((* AXIOMS *)
                  (* GROUP *)
                  (ALL |X,Y,Z| + (+ (X Y) Z) = + (X + (Y Z)))
                  (ALL X + (0 X) = X)
                  (ALL X + (- (X) X) = 0)
                  (ALL |X,Y| + (X Y) = + (Y X))
                  (* * *)
                  (ALL |X,Y,Z| * (* (X Y) Z) = * (X * (Y Z)))
                  (* * GROUP CONNECTION *)
                  (ALL |X,Y,Z| * (+ (X Y) Z) = + (* (X Z) * (Y Z)))
                  (ALL |X,Y,Z| * (Z + (X Y)) = + (* (Z X) * (Z Y)))
                  (* ADDITIONAL AXIOM AND THEOREM *)
                  (ALL X * (X X) = X)))

(THEOREMS.INFIX ((ALL |X,Y| * (X Y) = * (Y X))))

(AXIOMS.PREFIX   (COMMENT
                  COMMENT
                  (ALL 5 (ALL 4 (ALL 3 (+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5))) NIL))))
                  (ALL 7 (+ 2 ((6 8 7) 7) NIL))
                  (ALL 9 (+ 2 ((6 (10 9) 9) 8) NIL))
                  (ALL 12 (ALL 11 (+ 2 ((6 11 12) (6 12 11)) NIL)))
                  COMMENT
                  (ALL 15 (ALL 14 (ALL 13 (+ 2 ((16 (16 13 14) 15) (16 13 (16 14 15))) NIL))))
                  COMMENT
                  (ALL 19 (ALL 18 (ALL 17 (+ 2 ((16 (6 17 18) 19) (6 (16 17 19) (16 18 19))) NIL))))
                  (ALL 22 (ALL 21 (ALL 20 (+ 2 ((16 22 (6 20 21)) (6 (16 22 20) (16 22 21))) NIL))))
                  COMMENT
                  (ALL 23 (+ 2 ((16 23 23) 23) NIL))))

(THEOREMS.PREFIX ((ALL 25 (ALL 24 (+ 2 ((16 24 25) (16 25 24)) NIL)))))

(OPTIONS (TWO_RULES)
          (TWO_RULES.MAXLEVEL . 1)
          (TWO_SUPPRESS.NORULES)
          (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.I_CLAUSE.PURITY . PARTIAL)
          (RED.I_CLAUSE.TAUTOLOGY . T)
          (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
          (RED.I_CLAUSE.SUBSUMPTION . T)
          (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
          (RED.I_CLAUSE.REPL.FACTORING . T)
          (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.I_CLAUSE.REWRITING . DEM)
          (RED.I_LINK.INCOMPATIBILITY . T)
          (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.I_LINK.TAUTOLOGY.RECHECK)
          (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.I_LINK.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.D_CLAUSE.PURITY . PARTIAL)
          (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
          (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
          (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
          (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.REPL.FACTORING . T)
          (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.D_CLAUSE.REWRITING . DEM)
          (RED.D_LINK.INCOMPATIBILITY . T)
          (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_LINK.TAUTOLOGY.RECHECK)
          (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.D_LINK.SUBSUMPTION.RECHECK)
          (FAC_INITIAL)
          (FAC_EACH.STEP)
          (STR_RESOLUTION . SET-OF-SUPPORT)
          (STR_WEIGHT.POLYNOMIALS)
          (STR_R.SELECTION * 10 (+ 2 VARIABLES (* 2 DEPTH) (* 3 NOLIT)))
          (STR_LINK.DEPTH)
          (STR_TERM.DEPTH)
          (STR_FINITE.DOMAIN . T)
          (TERM_UNITS . T)
          (TERM_ITERATIONS . 0)
          (TERM_SET.OF.SUPPORT)
          (TERM_BREADTH.FIRST)
          (SORT_LITERALS)
          (SORT_MAX.UNIFICATION.RULE.STEPS . 100)
          (SORT_MAX.UNIFICATION.TREE.DEPTH . 100)
          (SORT_MAX.UNIFICATION.TREE.OPEN.NODES . 20)
          (SORT_UNIFIER.STOP.NUMBER . 100)
          (SORT_SHOW.VARIABLE.SORTS . T)
          (ER_PARAMODULATION . HEURISTIC-COMPLETION)
          (ER_P.SELECTION * WEIGHT (IF SUPPORT 1 1.5) (IF EQUATIONAL 1 2))
          (ER_COMPLETION . IGNORING)
          (ER_CP.REDUCTION . T)
          (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
          (ER_OPERATOR.ORDERING * - + 0 1)
          (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
          (ER_POLYNOMIAL.WEIGHT (+ (X Y) (+ (* 2 Y) X)) (* (X Y) (+ (* X Y) X)) (- (X) (* X X)) (0 NIL 2) (1 NIL 2))
          (ER_NARROW.DEPTH . 0)
          (ER_NARROW.NEXT . DEPTH)
          (ER_NARROW.TEST NORM C DELTA SL N)
          (ER_COMPILE)
          (GEN_SPLITTING . 0)
          (GEN_PRESIMPLIFICATION . T)
          (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
          (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
          (GEN_MANUAL.CONTROL)
          (GEN_MAXIMUM.STEPS)
          (GEN_GRAPH.SAVING)
          (GEN_SAVE.FILE . SAVEDEFAULT)
          (GEN_LISP.GARBAGE.COLLECTION)
          (GEN_COMMON.LISP . T)
          (TR_PREPROCESSING)
          (TR_STEP.MODE . LR)
          (TR_DUMP)
          (TR_CLAUSE.MODE . I)
          (TR_LINK.MODE . I)
          (TR_TRACE.FILE)
          (TR_TERMINAL . T)
          (PR_INFIX.FORM . T)
          (PR_PREFIX.FORM)
          (PR_OPTIONS)
          (PR_AXIOM.CLAUSES . T)
          (PR_SYMBOLS)
          (PR_DIRECT.PROOF . T)
          (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
          (PR_PROTOCOL . T)
          (PR_LEFT.MARGIN . 0)
          (PR_RIGHT.MARGIN . 117)
          (PR_LATEX)
          (PR_LINELENGTH . 117)
          (PR_LITERALS)
         )

(LINK.COLOURS (R RIW RD S SI SIW SID T TI TIW P PIW PD RIWD))

(AXIOMS (START.TIME 31640000)
        (PARTIAL   (CLAUSE 28 R.= AXIOM ((26 . ANY)) ((+ 2 (26 26)) ))(CLAUSE 32 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) )))
        (PARTIAL   (CLAUSE 39 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) )))
        (PARTIAL   (CLAUSE 43 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) )))
        (PARTIAL   (CLAUSE 48 A4 AXIOM ((12 . ANY)(11 . ANY)) ((+ 2 ((6 11 12) (6 12 11))) )))
        (PARTIAL   (CLAUSE 55 A5 AXIOM ((15 . ANY)(14 . ANY)(13 . ANY)) ((+ 2 ((16 (16 13 14) 15) (16 13 (16 14 15)))) )))
        (PARTIAL   (CLAUSE 61 A6 AXIOM ((19 . ANY)(18 . ANY)(17 . ANY)) ((+ 2 ((16 (6 17 18) 19) (6 (16 17 19) (16 18 19)))) )))
        (PARTIAL   (CLAUSE 70 A7 AXIOM ((21 . ANY)(20 . ANY)(22 . ANY)) ((+ 2 ((16 22 (6 20 21)) (6 (16 22 20) (16 22 21)))) )))
        (PARTIAL   (CLAUSE 81 A8 AXIOM ((23 . ANY)) ((+ 2 ((16 23 23) 23)) )))
        (END.TIME 35450000)
        (FINAL 28 32 39 43 48 55 61 70 81)
        (SYMBOLS 
                 (LET (NEW.ADDRESS)
          (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
                                (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
                         (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
                                (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
                         (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
                                (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
                         (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
                         (CONS   16 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
                         (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
                         (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
        (RESULT))

(THEOREMS (SPLITPART.IDENTIFIER 1)
          (START.TIME 35520000)
          (PARTIAL   (CLAUSE 24 T9 THEOREM () ((- 2 ((16 91 90) (16 90 91))) )))
          (INITIAL   (CLAUSE 28 R.= AXIOM ((26 . ANY)) ((+ 2 (26 26)) ))
(CLAUSE 32 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 39 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 43 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 48 A4 AXIOM ((12 . ANY)(11 . ANY)) ((+ 2 ((6 11 12) (6 12 11))) ))
(CLAUSE 55 A5 AXIOM ((15 . ANY)(14 . ANY)(13 . ANY)) ((+ 2 ((16 (16 13 14) 15) (16 13 (16 14 15)))) ))
(CLAUSE 61 A6 AXIOM ((19 . ANY)(18 . ANY)(17 . ANY)) ((+ 2 ((16 (6 17 18) 19) (6 (16 17 19) (16 18 19)))) ))
(CLAUSE 70 A7 AXIOM ((21 . ANY)(20 . ANY)(22 . ANY)) ((+ 2 ((16 22 (6 20 21)) (6 (16 22 20) (16 22 21)))) ))
(CLAUSE 81 A8 AXIOM ((23 . ANY)) ((+ 2 ((16 23 23) 23)) ))
(CLAUSE 24 T9 THEOREM () ((- 2 ((16 91 90) (16 90 91))) )) )
          (END.TIME 44080000)
          (FINAL 28 32 39 43 48 55 61 70 81 24)
          (SYMBOLS 
                   (LET (NEW.ADDRESS)
          (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
                                  (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
                           (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
                                  (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
                           (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
                                  (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
                           (CONS   91 (DT-CONSTANT.CREATE "c_2" 'ANY))
                           (CONS   90 (DT-CONSTANT.CREATE "c_1" 'ANY))
                           (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
                           (CONS   16 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
                           (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
                           (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
          (RESULT))
(indices ((24 9) (81 8) (70 7) (61 6) (55 5) (48 4) (43 3) (39 2) (32 1) (28 NIL)))

(SPLITPARTS "Unix" "06-MAR,1992 01:10" NIL)

(OPTIONS (TWO_RULES)
          (TWO_RULES.MAXLEVEL . 1)
          (TWO_SUPPRESS.NORULES)
          (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.I_CLAUSE.PURITY . PARTIAL)
          (RED.I_CLAUSE.TAUTOLOGY . T)
          (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
          (RED.I_CLAUSE.SUBSUMPTION . T)
          (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
          (RED.I_CLAUSE.REPL.FACTORING . T)
          (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.I_CLAUSE.REWRITING . DEM)
          (RED.I_LINK.INCOMPATIBILITY . T)
          (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.I_LINK.TAUTOLOGY.RECHECK)
          (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.I_LINK.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.D_CLAUSE.PURITY . PARTIAL)
          (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
          (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
          (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
          (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.REPL.FACTORING . T)
          (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.D_CLAUSE.REWRITING . DEM)
          (RED.D_LINK.INCOMPATIBILITY . T)
          (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_LINK.TAUTOLOGY.RECHECK)
          (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.D_LINK.SUBSUMPTION.RECHECK)
          (FAC_INITIAL)
          (FAC_EACH.STEP)
          (STR_RESOLUTION . SET-OF-SUPPORT)
          (STR_WEIGHT.POLYNOMIALS)
          (STR_R.SELECTION * 10 (+ 2 VARIABLES (* 2 DEPTH) (* 3 NOLIT)))
          (STR_LINK.DEPTH)
          (STR_TERM.DEPTH)
          (STR_FINITE.DOMAIN . T)
          (TERM_UNITS . T)
          (TERM_ITERATIONS . 0)
          (TERM_SET.OF.SUPPORT)
          (TERM_BREADTH.FIRST)
          (SORT_LITERALS)
          (SORT_MAX.UNIFICATION.RULE.STEPS . 100)
          (SORT_MAX.UNIFICATION.TREE.DEPTH . 100)
          (SORT_MAX.UNIFICATION.TREE.OPEN.NODES . 20)
          (SORT_UNIFIER.STOP.NUMBER . 100)
          (SORT_SHOW.VARIABLE.SORTS . T)
          (ER_PARAMODULATION . HEURISTIC-COMPLETION)
          (ER_P.SELECTION * WEIGHT (IF SUPPORT 1 1.5) (IF EQUATIONAL 1 2))
          (ER_COMPLETION . IGNORING)
          (ER_CP.REDUCTION . T)
          (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
          (ER_OPERATOR.ORDERING * - + 0 1)
          (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
          (ER_POLYNOMIAL.WEIGHT (+ (X Y) (+ (* 2 Y) X)) (* (X Y) (+ (* X Y) X)) (- (X) (* X X)) (0 NIL 2) (1 NIL 2))
          (ER_NARROW.DEPTH . 0)
          (ER_NARROW.NEXT . DEPTH)
          (ER_NARROW.TEST NORM C DELTA SL N)
          (ER_COMPILE)
          (GEN_SPLITTING . 0)
          (GEN_PRESIMPLIFICATION . T)
          (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
          (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
          (GEN_MANUAL.CONTROL)
          (GEN_MAXIMUM.STEPS)
          (GEN_GRAPH.SAVING)
          (GEN_SAVE.FILE . SAVEDEFAULT)
          (GEN_LISP.GARBAGE.COLLECTION)
          (GEN_COMMON.LISP . T)
          (TR_PREPROCESSING)
          (TR_STEP.MODE . LR)
          (TR_DUMP)
          (TR_CLAUSE.MODE . I)
          (TR_LINK.MODE . I)
          (TR_TRACE.FILE)
          (TR_TERMINAL . T)
          (PR_INFIX.FORM . T)
          (PR_PREFIX.FORM)
          (PR_OPTIONS)
          (PR_AXIOM.CLAUSES . T)
          (PR_SYMBOLS)
          (PR_DIRECT.PROOF . T)
          (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
          (PR_PROTOCOL . T)
          (PR_LEFT.MARGIN . 0)
          (PR_RIGHT.MARGIN . 117)
          (PR_LATEX)
          (PR_LINELENGTH . 117)
          (PR_LITERALS)
         )

(REFUTATION (START.TIME 44490000)

(OPTIONS (TWO_RULES)
          (TWO_RULES.MAXLEVEL . 1)
          (TWO_SUPPRESS.NORULES)
          (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.I_CLAUSE.PURITY . PARTIAL)
          (RED.I_CLAUSE.TAUTOLOGY . T)
          (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
          (RED.I_CLAUSE.SUBSUMPTION . T)
          (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
          (RED.I_CLAUSE.REPL.FACTORING . T)
          (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.I_CLAUSE.REWRITING . DEM)
          (RED.I_LINK.INCOMPATIBILITY . T)
          (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.I_LINK.TAUTOLOGY.RECHECK)
          (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.I_LINK.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
          (RED.D_CLAUSE.PURITY . PARTIAL)
          (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
          (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
          (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
          (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
          (RED.D_CLAUSE.REPL.FACTORING . T)
          (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
          (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
          (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
          (RED.D_CLAUSE.REWRITING . DEM)
          (RED.D_LINK.INCOMPATIBILITY . T)
          (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
          (RED.D_LINK.TAUTOLOGY.RECHECK)
          (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
          (RED.D_LINK.SUBSUMPTION.RECHECK)
          (FAC_INITIAL)
          (FAC_EACH.STEP)
          (STR_RESOLUTION . SET-OF-SUPPORT)
          (STR_WEIGHT.POLYNOMIALS)
          (STR_R.SELECTION * 10 (+ 2 VARIABLES (* 2 DEPTH) (* 3 NOLIT)))
          (STR_LINK.DEPTH)
          (STR_TERM.DEPTH)
          (STR_FINITE.DOMAIN . T)
          (TERM_UNITS . T)
          (TERM_ITERATIONS . 0)
          (TERM_SET.OF.SUPPORT)
          (TERM_BREADTH.FIRST)
          (SORT_LITERALS)
          (SORT_MAX.UNIFICATION.RULE.STEPS . 100)
          (SORT_MAX.UNIFICATION.TREE.DEPTH . 100)
          (SORT_MAX.UNIFICATION.TREE.OPEN.NODES . 20)
          (SORT_UNIFIER.STOP.NUMBER . 100)
          (SORT_SHOW.VARIABLE.SORTS . T)
          (ER_PARAMODULATION . HEURISTIC-COMPLETION)
          (ER_P.SELECTION * WEIGHT (IF SUPPORT 1 1.5) (IF EQUATIONAL 1 2))
          (ER_COMPLETION . IGNORING)
          (ER_CP.REDUCTION . T)
          (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
          (ER_OPERATOR.ORDERING * - + 0 1)
          (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
          (ER_POLYNOMIAL.WEIGHT (+ (X Y) (+ (* 2 Y) X)) (* (X Y) (+ (* X Y) X)) (- (X) (* X X)) (0 NIL 2) (1 NIL 2))
          (ER_NARROW.DEPTH . 0)
          (ER_NARROW.NEXT . DEPTH)
          (ER_NARROW.TEST NORM C DELTA SL N)
          (ER_COMPILE)
          (GEN_SPLITTING . 0)
          (GEN_PRESIMPLIFICATION . T)
          (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
          (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
          (GEN_MANUAL.CONTROL)
          (GEN_MAXIMUM.STEPS)
          (GEN_GRAPH.SAVING)
          (GEN_SAVE.FILE . SAVEDEFAULT)
          (GEN_LISP.GARBAGE.COLLECTION)
          (GEN_COMMON.LISP . T)
          (TR_PREPROCESSING)
          (TR_STEP.MODE . LR)
          (TR_DUMP)
          (TR_CLAUSE.MODE . I)
          (TR_LINK.MODE . I)
          (TR_TRACE.FILE)
          (TR_TERMINAL . T)
          (PR_INFIX.FORM . T)
          (PR_PREFIX.FORM)
          (PR_OPTIONS)
          (PR_AXIOM.CLAUSES . T)
          (PR_SYMBOLS)
          (PR_DIRECT.PROOF . T)
          (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
          (PR_PROTOCOL . T)
          (PR_LEFT.MARGIN . 0)
          (PR_RIGHT.MARGIN . 117)
          (PR_LATEX)
          (PR_LINELENGTH . 117)
          (PR_LITERALS)
         )
            (INITIAL   (CLAUSE 28 R.= AXIOM ((26 . ANY)) ((+ 2 (26 26)) ))
(CLAUSE 32 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 39 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 43 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 48 A4 AXIOM ((12 . ANY)(11 . ANY)) ((+ 2 ((6 11 12) (6 12 11))) ))
(CLAUSE 55 A5 AXIOM ((15 . ANY)(14 . ANY)(13 . ANY)) ((+ 2 ((16 (16 13 14) 15) (16 13 (16 14 15)))) ))
(CLAUSE 61 A6 AXIOM ((19 . ANY)(18 . ANY)(17 . ANY)) ((+ 2 ((16 (6 17 18) 19) (6 (16 17 19) (16 18 19)))) ))
(CLAUSE 70 A7 AXIOM ((21 . ANY)(20 . ANY)(22 . ANY)) ((+ 2 ((16 22 (6 20 21)) (6 (16 22 20) (16 22 21)))) ))
(CLAUSE 81 A8 AXIOM ((23 . ANY)) ((+ 2 ((16 23 23) 23)) ))
(CLAUSE 24 T9 THEOREM () ((- 2 ((16 91 90) (16 90 91))) )) )
            (OPERATION (CLAUSE 78 P1 (32 43) ((65 . ANY)(62 . ANY)) ((+ 2 ((6 8 62) (6 (10 65) (6 65 62)))) ))
                       (PARAMODULATION 43 1 (1) 32 1 (1 1) NIL (3 (10 4) 9 4) 78))
            (OPERATION (CLAUSE 78 P1 (32 43) ((65 . ANY)(62 . ANY)) ((+ 2 (62 (6 (10 65) (6 65 62)))) ))
                       (REWRITE 39 1 78))
            (OPERATION (CLAUSE 243 P2 (78 39) ((66 . ANY)) ((+ 2 (66 (6 (10 8) 66))) ))
                       (PARAMODULATION 39 1 (1) 78 1 (2 2) NIL (65 8 7 62) 243))
            (OPERATION (CLAUSE 245 P3 (78 43) ((250 . ANY)) ((+ 2 (250 (6 (10 (10 250)) 8))) ))
                       (PARAMODULATION 43 1 (1) 78 1 (2 2) NIL (65 (10 62) 9 62) 245))
            (OPERATION (CLAUSE 303 P4 (78 243) ((301 . ANY)) ((+ 2 (301 (6 (10 (10 8)) 301))) ))
                       (PARAMODULATION 243 1 (2) 78 1 (2 2) NIL (65 (10 8) 66 62) 303))
            (OPERATION (CLAUSE 311 P5 (43 303) () ((+ 2 ((10 8) 8)) ))
                       (PARAMODULATION 303 1 (2) 43 1 (1) NIL (9 (10 8) 301 (10 8)) 311))
            (OPERATION (CLAUSE 243 P2 (78 39) ((66 . ANY)) ((+ 2 (66 (6 8 66))) ))
                       (REWRITE 311 1 243))
            (OPERATION (CLAUSE 243 P2 (78 39) ((66 . ANY)) ((+ 2 (66 66)) ))
                       (REWRITE 39 1 243))
            (OPERATION (CLAUSE 303 P4 (78 243) ((301 . ANY)) ((+ 2 (301 (6 (10 8) 301))) ))
                       (REWRITE 311 1 303))
            (OPERATION (CLAUSE 303 P4 (78 243) ((301 . ANY)) ((+ 2 (301 (6 8 301))) ))
                       (REWRITE 311 1 303))
            (OPERATION (CLAUSE 303 P4 (78 243) ((301 . ANY)) ((+ 2 (301 301)) ))
                       (REWRITE 39 1 303))
            (OPERATION (CLAUSE 304 P6 (78 245) ((355 . ANY)) ((+ 2 (8 (6 (10 (10 (10 355))) 355))) ))
                       (PARAMODULATION 245 1 (2) 78 1 (2 2) NIL (65 (10 (10 250)) 62 8) 304))
            (OPERATION (CLAUSE 314 P7 (78 304) ((307 . ANY)) ((+ 2 (307 (6 (10 (10 (10 (10 307)))) 8))) ))
                       (PARAMODULATION 304 1 (2) 78 1 (2 2) NIL (65 (10 (10 (10 62))) 355 62) 314))
            (OPERATION (CLAUSE 314 P7 (78 304) ((307 . ANY)) ((+ 2 (307 (10 (10 307)))) ))
                       (REWRITE 245 1 314))
            (OPERATION (CLAUSE 245 P3 (78 43) ((250 . ANY)) ((+ 2 (250 (6 250 8))) ))
                       (REWRITE 314 1 245))
            (OPERATION (CLAUSE 304 P6 (78 245) ((355 . ANY)) ((+ 2 (8 (6 (10 355) 355))) ))
                       (REWRITE 314 1 304))
            (OPERATION (CLAUSE 304 P6 (78 245) () ((+ 2 (8 8)) ))
                       (REWRITE 43 1 304))
            (OPERATION (CLAUSE 406 P8 (43 314) ((411 . ANY)) ((+ 2 ((6 411 (10 411)) 8)) ))
                       (PARAMODULATION 314 1 (2) 43 1 (1 1) NIL (9 (10 307)) 406))
            (OPERATION (CLAUSE 347 P9 (61 245) ((377 . ANY)(313 . ANY)) ((+ 2 ((16 313 377) (6 (16 313 377) (16 8 377)))) ))
                       (PARAMODULATION 245 1 (2) 61 1 (1 1) NIL (250 17 18 8) 347))
            (OPERATION (CLAUSE 556 P10 (78 347) ((504 . ANY)(409 . ANY)) ((+ 2 ((16 8 409) (6 (10 (16 504 409)) (16 504 409)))) ))
                       (PARAMODULATION 347 1 (2) 78 1 (2 2) NIL (65 (16 313 377) 62 (16 8 377)) 556))
            (OPERATION (CLAUSE 556 P10 (78 347) ((409 . ANY)) ((+ 2 ((16 8 409) 8)) ))
                       (REWRITE 43 1 556))
            (OPERATION (CLAUSE 347 P9 (61 245) ((377 . ANY)(313 . ANY)) ((+ 2 ((16 313 377) (6 (16 313 377) 8))) ))
                       (REWRITE 556 1 347))
            (OPERATION (CLAUSE 347 P9 (61 245) ((377 . ANY)(313 . ANY)) ((+ 2 ((16 313 377) (16 313 377))) ))
                       (REWRITE 245 1 347))
            (OPERATION (CLAUSE 501 P11 (70 245) ((560 . ANY)(559 . ANY)) ((+ 2 ((16 559 560) (6 (16 559 560) (16 559 8)))) ))
                       (PARAMODULATION 245 1 (2) 70 1 (1 2) NIL (250 20 21 8) 501))
            (OPERATION (CLAUSE 591 P12 (78 501) ((410 . ANY)(588 . ANY)) ((+ 2 ((16 588 8) (6 (10 (16 588 410)) (16 588 410)))) ))
                       (PARAMODULATION 501 1 (2) 78 1 (2 2) NIL (65 (16 559 560) 62 (16 559 8)) 591))
            (OPERATION (CLAUSE 591 P12 (78 501) ((588 . ANY)) ((+ 2 ((16 588 8) 8)) ))
                       (REWRITE 43 1 591))
            (OPERATION (CLAUSE 501 P11 (70 245) ((560 . ANY)(559 . ANY)) ((+ 2 ((16 559 560) (6 (16 559 560) 8))) ))
                       (REWRITE 591 1 501))
            (OPERATION (CLAUSE 501 P11 (70 245) ((560 . ANY)(559 . ANY)) ((+ 2 ((16 559 560) (16 559 560))) ))
                       (REWRITE 245 1 501))
            (OPERATION (CLAUSE 589 P13 (78 314) ((698 . ANY)(656 . ANY)) ((+ 2 (656 (6 698 (6 (10 698) 656)))) ))
                       (PARAMODULATION 314 1 (2) 78 1 (2 1) NIL (65 (10 307)) 589))
            (OPERATION (CLAUSE 657 P14 (55 81) ((561 . ANY)(651 . ANY)) ((+ 2 ((16 651 561) (16 651 (16 651 561)))) ))
                       (PARAMODULATION 81 1 (1) 55 1 (1 1) NIL (23 14 13 14) 657))
            (OPERATION (CLAUSE 506 P15 (61 43) ((758 . ANY)(759 . ANY)) ((+ 2 ((16 8 759) (6 (16 (10 758) 759) (16 758 759)))) ))
                       (PARAMODULATION 43 1 (1) 61 1 (1 1) NIL (17 (10 18) 9 18) 506))
            (OPERATION (CLAUSE 506 P15 (61 43) ((759 . ANY)(758 . ANY)) ((+ 2 (8 (6 (16 (10 758) 759) (16 758 759)))) ))
                       (REWRITE 556 1 506))
            (OPERATION (CLAUSE 826 P16 (506 81) ((833 . ANY)) ((+ 2 (8 (6 (16 (10 833) 833) 833))) ))
                       (PARAMODULATION 81 1 (1) 506 1 (2 2) NIL (23 759 758 759) 826))
            (OPERATION (CLAUSE 909 P17 (78 826) ((911 . ANY)) ((+ 2 (911 (6 (10 (16 (10 911) 911)) 8))) ))
                       (PARAMODULATION 826 1 (2) 78 1 (2 2) NIL (65 (16 (10 62) 62) 833 62) 909))
            (OPERATION (CLAUSE 909 P17 (78 826) ((911 . ANY)) ((+ 2 (911 (10 (16 (10 911) 911)))) ))
                       (REWRITE 245 1 909))
            (OPERATION (CLAUSE 947 P18 (314 909) ((908 . ANY)) ((+ 2 ((16 (10 908) 908) (10 908))) ))
                       (PARAMODULATION 909 1 (2) 314 1 (2 1) NIL (307 (16 (10 911) 911)) 947))
            (OPERATION (CLAUSE 826 P16 (506 81) ((833 . ANY)) ((+ 2 (8 (6 (10 833) 833))) ))
                       (REWRITE 947 1 826))
            (OPERATION (CLAUSE 826 P16 (506 81) () ((+ 2 (8 8)) ))
                       (REWRITE 43 1 826))
            (OPERATION (CLAUSE 909 P17 (78 826) ((911 . ANY)) ((+ 2 (911 (10 (10 911)))) ))
                       (REWRITE 947 1 909))
            (OPERATION (CLAUSE 909 P17 (78 826) ((911 . ANY)) ((+ 2 (911 911)) ))
                       (REWRITE 314 1 909))
            (OPERATION (CLAUSE 991 P19 (947 314) ((830 . ANY)) ((+ 2 ((16 830 (10 830)) (10 (10 830)))) ))
                       (PARAMODULATION 314 1 (2) 947 1 (1 1) NIL (908 (10 307)) 991))
            (OPERATION (CLAUSE 991 P19 (947 314) ((830 . ANY)) ((+ 2 ((16 830 (10 830)) 830)) ))
                       (REWRITE 314 1 991))
            (OPERATION (CLAUSE 838 P20 (78 506) ((996 . ANY)(948 . ANY)) ((+ 2 ((16 948 996) (6 (10 (16 (10 948) 996)) 8))) ))
                       (PARAMODULATION 506 1 (2) 78 1 (2 2) NIL (65 (16 (10 758) 759) 62 (16 758 759)) 838))
            (OPERATION (CLAUSE 838 P20 (78 506) ((996 . ANY)(948 . ANY)) ((+ 2 ((16 948 996) (10 (16 (10 948) 996)))) ))
                       (REWRITE 245 1 838))
            (OPERATION (CLAUSE 1069 P21 (314 838) ((824 . ANY)(1076 . ANY)) ((+ 2 ((16 (10 1076) 824) (10 (16 1076 824)))) ))
                       (PARAMODULATION 838 1 (2) 314 1 (2 1) NIL (307 (16 (10 948) 996)) 1069))
            (OPERATION (CLAUSE 506 P15 (61 43) ((759 . ANY)(758 . ANY)) ((+ 2 (8 (6 (10 (16 758 759)) (16 758 759)))) ))
                       (REWRITE 1069 1 506))
            (OPERATION (CLAUSE 506 P15 (61 43) () ((+ 2 (8 8)) ))
                       (REWRITE 43 1 506))
            (OPERATION (CLAUSE 947 P18 (314 909) ((908 . ANY)) ((+ 2 ((10 (16 908 908)) (10 908))) ))
                       (REWRITE 1069 1 947))
            (OPERATION (CLAUSE 947 P18 (314 909) ((908 . ANY)) ((+ 2 ((10 908) (10 908))) ))
                       (REWRITE 81 1 947))
            (OPERATION (CLAUSE 838 P20 (78 506) ((996 . ANY)(948 . ANY)) ((+ 2 ((16 948 996) (10 (10 (16 948 996))))) ))
                       (REWRITE 1069 1 838))
            (OPERATION (CLAUSE 838 P20 (78 506) ((996 . ANY)(948 . ANY)) ((+ 2 ((16 948 996) (16 948 996))) ))
                       (REWRITE 314 1 838))
            (OPERATION (CLAUSE 1066 P22 (70 43) ((404 . ANY)(945 . ANY)) ((+ 2 ((16 945 8) (6 (16 945 (10 404)) (16 945 404)))) ))
                       (PARAMODULATION 43 1 (1) 70 1 (1 2) NIL (20 (10 21) 9 21) 1066))
            (OPERATION (CLAUSE 1066 P22 (70 43) ((404 . ANY)(945 . ANY)) ((+ 2 (8 (6 (16 945 (10 404)) (16 945 404)))) ))
                       (REWRITE 591 1 1066))
            (OPERATION (CLAUSE 825 P23 (1066 991) ((1146 . ANY)) ((+ 2 (8 (6 1146 (16 1146 1146)))) ))
                       (PARAMODULATION 991 1 (1) 1066 1 (2 1) NIL (830 404 945 404) 825))
            (OPERATION (CLAUSE 825 P23 (1066 991) ((1146 . ANY)) ((+ 2 (8 (6 1146 1146))) ))
                       (REWRITE 81 1 825))
            (OPERATION (CLAUSE 1298 P24 (78 825) ((1302 . ANY)) ((+ 2 (1302 (6 (10 1302) 8))) ))
                       (PARAMODULATION 825 1 (2) 78 1 (2 2) NIL (1146 62 65 62) 1298))
            (OPERATION (CLAUSE 1298 P24 (78 825) ((1302 . ANY)) ((+ 2 (1302 (10 1302))) ))
                       (REWRITE 245 1 1298))
            (OPERATION (CLAUSE 43 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 9 9) 8)) ))
                       (REWRITE 1298 1 43))
            (OPERATION (CLAUSE 43 A3 AXIOM () ((+ 2 (8 8)) ))
                       (REWRITE 825 1 43))
            (OPERATION (CLAUSE 78 P1 (32 43) ((65 . ANY)(62 . ANY)) ((+ 2 (62 (6 65 (6 65 62)))) ))
                       (REWRITE 1298 1 78))
            (OPERATION (CLAUSE 314 P7 (78 304) ((307 . ANY)) ((+ 2 (307 (10 307))) ))
                       (REWRITE 1298 1 314))
            (OPERATION (CLAUSE 314 P7 (78 304) ((307 . ANY)) ((+ 2 (307 307)) ))
                       (REWRITE 1298 1 314))
            (OPERATION (CLAUSE 406 P8 (43 314) ((411 . ANY)) ((+ 2 ((6 411 411) 8)) ))
                       (REWRITE 1298 1 406))
            (OPERATION (CLAUSE 406 P8 (43 314) () ((+ 2 (8 8)) ))
                       (REWRITE 825 1 406))
            (OPERATION (CLAUSE 589 P13 (78 314) ((698 . ANY)(656 . ANY)) ((+ 2 (656 (6 698 (6 698 656)))) ))
                       (REWRITE 1298 1 589))
            (OPERATION (CLAUSE 991 P19 (947 314) ((830 . ANY)) ((+ 2 ((16 830 830) 830)) ))
                       (REWRITE 1298 1 991))
            (OPERATION (CLAUSE 991 P19 (947 314) ((830 . ANY)) ((+ 2 (830 830)) ))
                       (REWRITE 81 1 991))
            (OPERATION (CLAUSE 1069 P21 (314 838) ((824 . ANY)(1076 . ANY)) ((+ 2 ((16 1076 824) (10 (16 1076 824)))) ))
                       (REWRITE 1298 1 1069))
            (OPERATION (CLAUSE 1069 P21 (314 838) ((824 . ANY)(1076 . ANY)) ((+ 2 ((16 1076 824) (16 1076 824))) ))
                       (REWRITE 1298 1 1069))
            (OPERATION (CLAUSE 1066 P22 (70 43) ((404 . ANY)(945 . ANY)) ((+ 2 (8 (6 (16 945 404) (16 945 404)))) ))
                       (REWRITE 1298 1 1066))
            (OPERATION (CLAUSE 1066 P22 (70 43) () ((+ 2 (8 8)) ))
                       (REWRITE 825 1 1066))
            (OPERATION (CLAUSE 1383 P25 (589 32) ((1400 . ANY)(1398 . ANY)(1394 . ANY)) ((+ 2 (1394 (6 1398 (6 1400 (6 (6 1398 1400) 1394))))) ))
                       (PARAMODULATION 32 1 (1) 589 1 (2) NIL (698 (6 3 4) 5 (6 (6 3 4) 656)) 1383))
            (OPERATION (CLAUSE 1383 P25 (589 32) ((1400 . ANY)(1398 . ANY)(1394 . ANY)) ((+ 2 (1394 (6 1398 (6 1400 (6 1398 (6 1400 1394)))))) ))
                       (REWRITE 32 1 1383))
            (OPERATION (CLAUSE 1399 P26 (1383 825) ((1350 . ANY)(1385 . ANY)) ((+ 2 (1385 (6 (6 1350 1385) (6 1350 8)))) ))
                       (PARAMODULATION 825 1 (2) 1383 1 (2 2 2) NIL (1146 (6 1400 1394) 1398 (6 1400 1394)) 1399))
            (OPERATION (CLAUSE 1399 P26 (1383 825) ((1350 . ANY)(1385 . ANY)) ((+ 2 (1385 (6 (6 1350 1385) 1350))) ))
                       (REWRITE 245 1 1399))
            (OPERATION (CLAUSE 1399 P26 (1383 825) ((1350 . ANY)(1385 . ANY)) ((+ 2 (1385 (6 1350 (6 1385 1350)))) ))
                       (REWRITE 32 1 1399))
            (OPERATION (CLAUSE 1391 P27 (589 1383) ((1731 . ANY)(1730 . ANY)(1387 . ANY)) ((+ 2 ((6 1387 (6 1730 (6 1387 1731))) (6 1730 1731))) ))
                       (PARAMODULATION 1383 1 (2) 589 1 (2 2) NIL (1398 698 656 (6 1400 (6 698 (6 1400 1394)))) 1391))
            (OPERATION (CLAUSE 1734 P28 (32 1399) ((1378 . ANY)(1405 . ANY)(1379 . ANY)) ((+ 2 (1379 (6 1405 (6 1378 (6 1379 (6 1405 1378)))))) ))
                       (PARAMODULATION 1399 1 (2) 32 1 (1) NIL (1350 (6 3 4) 5 (6 1385 (6 3 4))) 1734))
            (OPERATION (CLAUSE 1836 P29 (1383 1399) ((1843 . ANY)(1844 . ANY)(1845 . ANY)) ((+ 2 ((6 1845 1844) (6 1843 (6 1844 (6 1843 1845))))) ))
                       (PARAMODULATION 1399 1 (2) 1383 1 (2 2 2 2) NIL (1350 1400 1394 (6 1385 1400)) 1836))
            (OPERATION (CLAUSE 1819 P30 (1399 32) ((1827 . ANY)(1830 . ANY)(1828 . ANY)) ((+ 2 ((6 1828 1830) (6 1827 (6 1828 (6 1830 1827))))) ))
                       (PARAMODULATION 32 1 (1) 1399 1 (2 2) NIL (1385 (6 3 4) 5 1350) 1819))
            (OPERATION (CLAUSE 2036 P31 (589 1734) ((1075 . ANY)(1847 . ANY)(1727 . ANY)) ((+ 2 ((6 1727 (6 1847 (6 1075 1727))) (6 1075 1847))) ))
                       (PARAMODULATION 1734 1 (2) 589 1 (2 2) NIL (1405 698 656 (6 1378 (6 1379 (6 698 1378)))) 2036))
            (OPERATION (CLAUSE 2050 P32 (1383 1734) ((2044 . ANY)(2045 . ANY)(2043 . ANY)) ((+ 2 ((6 2043 (6 2045 2044)) (6 2045 (6 2044 2043)))) ))
                       (PARAMODULATION 1734 1 (2) 1383 1 (2 2 2) NIL (1405 1398 1378 1400 1394 (6 1379 (6 1398 1400))) 2050))
            (OPERATION (CLAUSE 2061 P33 (1734 1399) ((2054 . ANY)(2056 . ANY)(2057 . ANY)) ((+ 2 (2057 (6 2056 (6 (6 2054 2056) (6 2057 2054))))) ))
                       (PARAMODULATION 1399 1 (2) 1734 1 (2 2 2 2) NIL (1350 1405 1378 (6 1385 1405)) 2061))
            (OPERATION (CLAUSE 2061 P33 (1734 1399) ((2054 . ANY)(2056 . ANY)(2057 . ANY)) ((+ 2 (2057 (6 2056 (6 2054 (6 2056 (6 2057 2054)))))) ))
                       (REWRITE 32 1 2061))
            (OPERATION (CLAUSE 2089 P34 (1383 2061) ((2098 . ANY)(2099 . ANY)(2097 . ANY)) ((+ 2 ((6 2097 (6 2099 2098)) (6 2097 (6 2098 2099)))) ))
                       (PARAMODULATION 2061 1 (2) 1383 1 (2 2 2) NIL (2056 1398 2054 1400 1394 (6 1398 (6 2057 1400))) 2089))
            (OPERATION (CLAUSE 2068 P35 (2061 1383) ((2079 . ANY)(2081 . ANY)(2076 . ANY)(2075 . ANY)) ((+ 2 (2075 (6 2076 (6 (6 2081 (6 2075 (6 2081 2079))) (6 2076 2079))))) ))
                       (PARAMODULATION 1383 1 (2) 2061 1 (2 2 2 2) NIL (1398 2057 2054 (6 1400 (6 2057 (6 1400 1394)))) 2068))
            (OPERATION (CLAUSE 2068 P35 (2061 1383) ((2079 . ANY)(2081 . ANY)(2076 . ANY)(2075 . ANY)) ((+ 2 (2075 (6 2076 (6 2081 (6 (6 2075 (6 2081 2079)) (6 2076 2079)))))) ))
                       (REWRITE 32 1 2068))
            (OPERATION (CLAUSE 2068 P35 (2061 1383) ((2079 . ANY)(2081 . ANY)(2076 . ANY)(2075 . ANY)) ((+ 2 (2075 (6 2076 (6 2081 (6 2075 (6 (6 2081 2079) (6 2076 2079))))))) ))
                       (REWRITE 32 1 2068))
            (OPERATION (CLAUSE 2068 P35 (2061 1383) ((2079 . ANY)(2081 . ANY)(2076 . ANY)(2075 . ANY)) ((+ 2 (2075 (6 2076 (6 2081 (6 2075 (6 2081 (6 2079 (6 2076 2079)))))))) ))
                       (REWRITE 32 1 2068))
            (OPERATION (CLAUSE 2068 P35 (2061 1383) ((2081 . ANY)(2076 . ANY)(2075 . ANY)) ((+ 2 (2075 (6 2076 (6 2081 (6 2075 (6 2081 2076)))))) ))
                       (REWRITE 1399 1 2068))
            (OPERATION (CLAUSE 2358 P36 (1383 2068) ((2367 . ANY)(2368 . ANY)(2369 . ANY)) ((+ 2 ((6 2369 (6 2368 2367)) (6 2367 (6 2368 2369)))) ))
                       (PARAMODULATION 2068 1 (2) 1383 1 (2 2 2) NIL (2076 1398 2081 1400 1394 (6 2075 (6 1400 1398))) 2358))
            (OPERATION (CLAUSE 2336 P37 (32 1383) ((2349 . ANY)(2344 . ANY)(2343 . ANY)(2346 . ANY)) ((+ 2 (2346 (6 2343 (6 2344 (6 2349 (6 (6 2343 2344) (6 2349 2346))))))) ))
                       (PARAMODULATION 1383 1 (2) 32 1 (1) NIL (1398 (6 3 4) 5 (6 1400 (6 (6 3 4) (6 1400 1394)))) 2336))
            (OPERATION (CLAUSE 2336 P37 (32 1383) ((2349 . ANY)(2344 . ANY)(2343 . ANY)(2346 . ANY)) ((+ 2 (2346 (6 2343 (6 2344 (6 2349 (6 2343 (6 2344 (6 2349 2346)))))))) ))
                       (REWRITE 32 1 2336))
            (OPERATION (CLAUSE 2673 P38 (32 1734) ((1382 . ANY)(2684 . ANY)(2683 . ANY)(2693 . ANY)) ((+ 2 (2693 (6 2683 (6 2684 (6 1382 (6 2693 (6 (6 2683 2684) 1382))))))) ))
                       (PARAMODULATION 1734 1 (2) 32 1 (1) NIL (1405 (6 3 4) 5 (6 1378 (6 1379 (6 (6 3 4) 1378)))) 2673))
            (OPERATION (CLAUSE 2673 P38 (32 1734) ((1382 . ANY)(2684 . ANY)(2683 . ANY)(2693 . ANY)) ((+ 2 (2693 (6 2683 (6 2684 (6 1382 (6 2693 (6 2683 (6 2684 1382)))))))) ))
                       (REWRITE 32 1 2673))
            (OPERATION (CLAUSE 3145 P39 (32 1734) ((407 . ANY)(3155 . ANY)(3157 . ANY)(3158 . ANY)) ((+ 2 ((6 3158 3157) (6 3155 (6 (6 407 (6 3158 (6 3155 407))) 3157)))) ))
                       (PARAMODULATION 1734 1 (2) 32 1 (1 1) NIL (1405 3 4 (6 1378 (6 1379 (6 3 1378)))) 3145))
            (OPERATION (CLAUSE 3145 P39 (32 1734) ((407 . ANY)(3155 . ANY)(3157 . ANY)(3158 . ANY)) ((+ 2 ((6 3158 3157) (6 3155 (6 407 (6 (6 3158 (6 3155 407)) 3157))))) ))
                       (REWRITE 32 1 3145))
            (OPERATION (CLAUSE 3145 P39 (32 1734) ((407 . ANY)(3155 . ANY)(3157 . ANY)(3158 . ANY)) ((+ 2 ((6 3158 3157) (6 3155 (6 407 (6 3158 (6 (6 3155 407) 3157)))))) ))
                       (REWRITE 32 1 3145))
            (OPERATION (CLAUSE 3145 P39 (32 1734) ((407 . ANY)(3155 . ANY)(3157 . ANY)(3158 . ANY)) ((+ 2 ((6 3158 3157) (6 3155 (6 407 (6 3158 (6 3155 (6 407 3157))))))) ))
                       (REWRITE 32 1 3145))
            (OPERATION (CLAUSE 3128 P40 (1383 1734) ((3135 . ANY)(3136 . ANY)(3137 . ANY)(3140 . ANY)) ((+ 2 ((6 3140 (6 3137 (6 3136 3140))) (6 3135 (6 3136 (6 3135 3137))))) ))
                       (PARAMODULATION 1734 1 (2) 1383 1 (2 2 2 2) NIL (1405 1400 1394 (6 1378 (6 1379 (6 1400 1378)))) 3128))
            (OPERATION (CLAUSE 2103 P41 (1734 32) ((2697 . ANY)(2698 . ANY)(3125 . ANY)(2696 . ANY)) ((+ 2 ((6 2696 3125) (6 2698 (6 2697 (6 2696 (6 3125 (6 2698 2697))))))) ))
                       (PARAMODULATION 32 1 (1) 1734 1 (2 2 2) NIL (1379 (6 3 4) 5 (6 1405 1378)) 2103))
            (OPERATION (CLAUSE 2668 P42 (32 2061) ((2646 . ANY)(2655 . ANY)(2658 . ANY)(2648 . ANY)) ((+ 2 (2648 (6 2658 (6 2655 (6 2646 (6 (6 2658 2655) (6 2648 2646))))))) ))
                       (PARAMODULATION 2061 1 (2) 32 1 (1) NIL (2056 (6 3 4) 5 (6 2054 (6 (6 3 4) (6 2057 2054)))) 2668))
            (OPERATION (CLAUSE 2668 P42 (32 2061) ((2646 . ANY)(2655 . ANY)(2658 . ANY)(2648 . ANY)) ((+ 2 (2648 (6 2658 (6 2655 (6 2646 (6 2658 (6 2655 (6 2648 2646)))))))) ))
                       (REWRITE 32 1 2668))
            (OPERATION (CLAUSE 3731 P43 (32 2061) ((2062 . ANY)(3737 . ANY)(3746 . ANY)(3748 . ANY)) ((+ 2 ((6 3748 3746) (6 3737 (6 (6 2062 (6 3737 (6 3748 2062))) 3746)))) ))
                       (PARAMODULATION 2061 1 (2) 32 1 (1 1) NIL (2056 3 4 (6 2054 (6 3 (6 2057 2054)))) 3731))
            (OPERATION (CLAUSE 3731 P43 (32 2061) ((2062 . ANY)(3737 . ANY)(3746 . ANY)(3748 . ANY)) ((+ 2 ((6 3748 3746) (6 3737 (6 2062 (6 (6 3737 (6 3748 2062)) 3746))))) ))
                       (REWRITE 32 1 3731))
            (OPERATION (CLAUSE 3731 P43 (32 2061) ((2062 . ANY)(3737 . ANY)(3746 . ANY)(3748 . ANY)) ((+ 2 ((6 3748 3746) (6 3737 (6 2062 (6 3737 (6 (6 3748 2062) 3746)))))) ))
                       (REWRITE 32 1 3731))
            (OPERATION (CLAUSE 3731 P43 (32 2061) ((2062 . ANY)(3737 . ANY)(3746 . ANY)(3748 . ANY)) ((+ 2 ((6 3748 3746) (6 3737 (6 2062 (6 3737 (6 3748 (6 2062 3746))))))) ))
                       (REWRITE 32 1 3731))
            (OPERATION (CLAUSE 3711 P44 (1383 2061) ((3718 . ANY)(3720 . ANY)(3719 . ANY)(3722 . ANY)) ((+ 2 ((6 3722 (6 3719 (6 3720 3722))) (6 3718 (6 3719 (6 3718 3720))))) ))
                       (PARAMODULATION 2061 1 (2) 1383 1 (2 2 2 2) NIL (2056 1400 1394 (6 2054 (6 1400 (6 2057 2054)))) 3711))
            (OPERATION (CLAUSE 3693 P45 (1734 2061) ((3704 . ANY)(3706 . ANY)(3701 . ANY)(3700 . ANY)) ((+ 2 (3700 (6 3701 (6 (6 3706 (6 3701 (6 3704 3706))) (6 3700 3704))))) ))
                       (PARAMODULATION 2061 1 (2) 1734 1 (2 2 2 2) NIL (2056 1405 1378 (6 2054 (6 1405 (6 2057 2054)))) 3693))
            (OPERATION (CLAUSE 3693 P45 (1734 2061) ((3704 . ANY)(3706 . ANY)(3701 . ANY)(3700 . ANY)) ((+ 2 (3700 (6 3701 (6 3706 (6 (6 3701 (6 3704 3706)) (6 3700 3704)))))) ))
                       (REWRITE 32 1 3693))
            (OPERATION (CLAUSE 3693 P45 (1734 2061) ((3704 . ANY)(3706 . ANY)(3701 . ANY)(3700 . ANY)) ((+ 2 (3700 (6 3701 (6 3706 (6 3701 (6 (6 3704 3706) (6 3700 3704))))))) ))
                       (REWRITE 32 1 3693))
            (OPERATION (CLAUSE 3693 P45 (1734 2061) ((3704 . ANY)(3706 . ANY)(3701 . ANY)(3700 . ANY)) ((+ 2 (3700 (6 3701 (6 3706 (6 3701 (6 3704 (6 3706 (6 3700 3704)))))))) ))
                       (REWRITE 32 1 3693))
            (OPERATION (CLAUSE 4405 P46 (2061 32) ((4423 . ANY)(4422 . ANY)(4420 . ANY)(4410 . ANY)) ((+ 2 (4410 (6 4420 (6 4422 (6 4423 (6 4420 (6 4410 (6 4422 4423)))))))) ))
                       (PARAMODULATION 32 1 (1) 2061 1 (2 2) NIL (2054 (6 3 4) 5 (6 2056 (6 2057 (6 3 4)))) 4405))
            (OPERATION (CLAUSE 5123 P47 (2061 1734) ((5139 . ANY)(2086 . ANY)(5137 . ANY)(5136 . ANY)) ((+ 2 (5136 (6 5137 (6 (6 2086 (6 5139 (6 5136 2086))) (6 5137 5139))))) ))
                       (PARAMODULATION 1734 1 (2) 2061 1 (2 2 2 2) NIL (1405 2057 2054 (6 1378 (6 1379 (6 2057 1378)))) 5123))
            (OPERATION (CLAUSE 5123 P47 (2061 1734) ((5139 . ANY)(2086 . ANY)(5137 . ANY)(5136 . ANY)) ((+ 2 (5136 (6 5137 (6 2086 (6 (6 5139 (6 5136 2086)) (6 5137 5139)))))) ))
                       (REWRITE 32 1 5123))
            (OPERATION (CLAUSE 5123 P47 (2061 1734) ((5139 . ANY)(2086 . ANY)(5137 . ANY)(5136 . ANY)) ((+ 2 (5136 (6 5137 (6 2086 (6 5139 (6 (6 5136 2086) (6 5137 5139))))))) ))
                       (REWRITE 32 1 5123))
            (OPERATION (CLAUSE 5123 P47 (2061 1734) ((5139 . ANY)(2086 . ANY)(5137 . ANY)(5136 . ANY)) ((+ 2 (5136 (6 5137 (6 2086 (6 5139 (6 5136 (6 2086 (6 5137 5139)))))))) ))
                       (REWRITE 32 1 5123))
            (OPERATION (CLAUSE 5928 P48 (5123 825) ((5946 . ANY)(5943 . ANY)(5945 . ANY)) ((+ 2 ((6 5945 (6 5943 5946)) (6 5943 (6 5945 (6 5946 8))))) ))
                       (PARAMODULATION 825 1 (2) 5123 1 (2 2 2 2) NIL (1146 (6 2086 (6 5137 5139)) 5136 (6 2086 (6 5137 5139))) 5928))
            (OPERATION (CLAUSE 5928 P48 (5123 825) ((5946 . ANY)(5943 . ANY)(5945 . ANY)) ((+ 2 ((6 5945 (6 5943 5946)) (6 5943 (6 5945 5946)))) ))
                       (REWRITE 245 1 5928))
            (OPERATION (CLAUSE 5901 P49 (2061 32) ((5909 . ANY)(5908 . ANY)(5911 . ANY)(5910 . ANY)) ((+ 2 ((6 5910 5911) (6 5908 (6 5909 (6 5908 (6 5910 (6 5911 5909))))))) ))
                       (PARAMODULATION 32 1 (1) 2061 1 (2 2 2 2) NIL (2057 (6 3 4) 5 2054) 5901))
            (OPERATION (CLAUSE 4384 P50 (32 2068) ((5144 . ANY)(4397 . ANY)(4396 . ANY)(4400 . ANY)) ((+ 2 (4400 (6 4396 (6 4397 (6 5144 (6 4400 (6 5144 (6 4396 4397)))))))) ))
                       (PARAMODULATION 2068 1 (2) 32 1 (1) NIL (2076 (6 3 4) 5 (6 2081 (6 2075 (6 2081 (6 3 4))))) 4384))
            (OPERATION (CLAUSE 6836 P51 (32 2068) ((2067 . ANY)(6851 . ANY)(6853 . ANY)(6854 . ANY)) ((+ 2 ((6 6854 6853) (6 6851 (6 (6 2067 (6 6854 (6 2067 6851))) 6853)))) ))
                       (PARAMODULATION 2068 1 (2) 32 1 (1 1) NIL (2076 3 4 (6 2081 (6 2075 (6 2081 3)))) 6836))
            (OPERATION (CLAUSE 6836 P51 (32 2068) ((2067 . ANY)(6851 . ANY)(6853 . ANY)(6854 . ANY)) ((+ 2 ((6 6854 6853) (6 6851 (6 2067 (6 (6 6854 (6 2067 6851)) 6853))))) ))
                       (REWRITE 32 1 6836))
            (OPERATION (CLAUSE 6836 P51 (32 2068) ((2067 . ANY)(6851 . ANY)(6853 . ANY)(6854 . ANY)) ((+ 2 ((6 6854 6853) (6 6851 (6 2067 (6 6854 (6 (6 2067 6851) 6853)))))) ))
                       (REWRITE 32 1 6836))
            (OPERATION (CLAUSE 6836 P51 (32 2068) ((2067 . ANY)(6851 . ANY)(6853 . ANY)(6854 . ANY)) ((+ 2 ((6 6854 6853) (6 6851 (6 2067 (6 6854 (6 2067 (6 6851 6853))))))) ))
                       (REWRITE 32 1 6836))
            (OPERATION (CLAUSE 6809 P52 (1383 2068) ((6817 . ANY)(6818 . ANY)(6819 . ANY)(6821 . ANY)) ((+ 2 ((6 6821 (6 6819 (6 6821 6818))) (6 6817 (6 6818 (6 6817 6819))))) ))
                       (PARAMODULATION 2068 1 (2) 1383 1 (2 2 2 2) NIL (2076 1400 1394 (6 2081 (6 2075 (6 2081 1400)))) 6809))
            (OPERATION (CLAUSE 6791 P53 (1734 2068) ((6800 . ANY)(6802 . ANY)(6798 . ANY)(6796 . ANY)) ((+ 2 (6796 (6 6798 (6 (6 6802 (6 6800 (6 6802 6798))) (6 6796 6800))))) ))
                       (PARAMODULATION 2068 1 (2) 1734 1 (2 2 2 2) NIL (2076 1405 1378 (6 2081 (6 2075 (6 2081 1405)))) 6791))
            (OPERATION (CLAUSE 6791 P53 (1734 2068) ((6800 . ANY)(6802 . ANY)(6798 . ANY)(6796 . ANY)) ((+ 2 (6796 (6 6798 (6 6802 (6 (6 6800 (6 6802 6798)) (6 6796 6800)))))) ))
                       (REWRITE 32 1 6791))
            (OPERATION (CLAUSE 6791 P53 (1734 2068) ((6800 . ANY)(6802 . ANY)(6798 . ANY)(6796 . ANY)) ((+ 2 (6796 (6 6798 (6 6802 (6 6800 (6 (6 6802 6798) (6 6796 6800))))))) ))
                       (REWRITE 32 1 6791))
            (OPERATION (CLAUSE 6791 P53 (1734 2068) ((6800 . ANY)(6802 . ANY)(6798 . ANY)(6796 . ANY)) ((+ 2 (6796 (6 6798 (6 6802 (6 6800 (6 6802 (6 6798 (6 6796 6800)))))))) ))
                       (REWRITE 32 1 6791))
            (OPERATION (CLAUSE 7846 P54 (2061 2068) ((7867 . ANY)(2339 . ANY)(7863 . ANY)(7851 . ANY)) ((+ 2 (7851 (6 7863 (6 (6 2339 (6 7867 (6 2339 7851))) (6 7863 7867))))) ))
                       (PARAMODULATION 2068 1 (2) 2061 1 (2 2 2 2) NIL (2076 2057 2054 (6 2081 (6 2075 (6 2081 2057)))) 7846))
            (OPERATION (CLAUSE 7846 P54 (2061 2068) ((7867 . ANY)(2339 . ANY)(7863 . ANY)(7851 . ANY)) ((+ 2 (7851 (6 7863 (6 2339 (6 (6 7867 (6 2339 7851)) (6 7863 7867)))))) ))
                       (REWRITE 32 1 7846))
            (OPERATION (CLAUSE 7846 P54 (2061 2068) ((7867 . ANY)(2339 . ANY)(7863 . ANY)(7851 . ANY)) ((+ 2 (7851 (6 7863 (6 2339 (6 7867 (6 (6 2339 7851) (6 7863 7867))))))) ))
                       (REWRITE 32 1 7846))
            (OPERATION (CLAUSE 7846 P54 (2061 2068) ((7867 . ANY)(2339 . ANY)(7863 . ANY)(7851 . ANY)) ((+ 2 (7851 (6 7863 (6 2339 (6 7867 (6 2339 (6 7851 (6 7863 7867)))))))) ))
                       (REWRITE 32 1 7846))
            (OPERATION (CLAUSE 8935 P55 (2068 32) ((8957 . ANY)(8956 . ANY)(8954 . ANY)(8952 . ANY)) ((+ 2 (8952 (6 8954 (6 8956 (6 8957 (6 8952 (6 (6 8956 8957) 8954))))))) ))
                       (PARAMODULATION 32 1 (1) 2068 1 (2 2) NIL (2081 (6 3 4) 5 (6 2075 (6 (6 3 4) 2076))) 8935))
            (OPERATION (CLAUSE 8935 P55 (2068 32) ((8957 . ANY)(8956 . ANY)(8954 . ANY)(8952 . ANY)) ((+ 2 (8952 (6 8954 (6 8956 (6 8957 (6 8952 (6 8956 (6 8957 8954)))))))) ))
                       (REWRITE 32 1 8935))
            (OPERATION (CLAUSE 10085 P56 (2068 32) ((10108 . ANY)(10092 . ANY)(10111 . ANY)(10110 . ANY)) ((+ 2 ((6 10110 10111) (6 10092 (6 10108 (6 10110 (6 10111 (6 10108 10092))))))) ))
                       (PARAMODULATION 32 1 (1) 2068 1 (2 2 2) NIL (2075 (6 3 4) 5 (6 2081 2076)) 10085))
            (OPERATION (CLAUSE 10056 P57 (2068 1734) ((10066 . ANY)(10067 . ANY)(10069 . ANY)(10064 . ANY)) ((+ 2 (10064 (6 (6 10069 (6 10067 (6 10066 10069))) (6 10066 (6 10064 10067))))) ))
                       (PARAMODULATION 1734 1 (2) 2068 1 (2 2 2 2) NIL (1405 2081 2076 (6 1378 (6 1379 (6 2081 1378)))) 10056))
            (OPERATION (CLAUSE 10056 P57 (2068 1734) ((10066 . ANY)(10067 . ANY)(10069 . ANY)(10064 . ANY)) ((+ 2 (10064 (6 10069 (6 (6 10067 (6 10066 10069)) (6 10066 (6 10064 10067)))))) ))
                       (REWRITE 32 1 10056))
            (OPERATION (CLAUSE 10056 P57 (2068 1734) ((10066 . ANY)(10067 . ANY)(10069 . ANY)(10064 . ANY)) ((+ 2 (10064 (6 10069 (6 10067 (6 (6 10066 10069) (6 10066 (6 10064 10067))))))) ))
                       (REWRITE 32 1 10056))
            (OPERATION (CLAUSE 10056 P57 (2068 1734) ((10066 . ANY)(10067 . ANY)(10069 . ANY)(10064 . ANY)) ((+ 2 (10064 (6 10069 (6 10067 (6 10066 (6 10069 (6 10066 (6 10064 10067)))))))) ))
                       (REWRITE 32 1 10056))
            (OPERATION (CLAUSE 11377 P58 (1383 2336) ((11400 . ANY)(11399 . ANY)(11398 . ANY)(2364 . ANY)) ((+ 2 ((6 2364 (6 11398 (6 11399 (6 2364 11400)))) (6 11398 (6 11399 11400)))) ))
                       (PARAMODULATION 2336 1 (2) 1383 1 (2 2 2) NIL (2343 1398 2344 1400 1394 (6 2349 (6 1398 (6 1400 (6 2349 2346))))) 11377))
            (OPERATION (CLAUSE 11350 P59 (2336 2068) ((11357 . ANY)(11358 . ANY)(11359 . ANY)(11360 . ANY)) ((+ 2 ((6 11360 (6 11359 11358)) (6 11357 (6 11358 (6 11359 (6 11357 11360)))))) ))
                       (PARAMODULATION 2068 1 (2) 2336 1 (2 2 2 2 2) NIL (2076 2344 2081 2349 2346 (6 2075 (6 2349 2344))) 11350))
            (OPERATION (CLAUSE 11332 P60 (2336 2061) ((11338 . ANY)(11340 . ANY)(11341 . ANY)(11339 . ANY)) ((+ 2 ((6 11339 (6 11341 11340)) (6 11338 (6 11339 (6 11340 (6 11338 11341)))))) ))
                       (PARAMODULATION 2061 1 (2) 2336 1 (2 2 2 2 2) NIL (2056 2344 2054 2349 2346 (6 2344 (6 2057 2349))) 11332))
            (OPERATION (CLAUSE 10116 P61 (2336 1734) ((11319 . ANY)(11321 . ANY)(11320 . ANY)(11322 . ANY)) ((+ 2 ((6 11322 (6 11320 11321)) (6 11319 (6 11320 (6 11321 (6 11319 11322)))))) ))
                       (PARAMODULATION 1734 1 (2) 2336 1 (2 2 2 2 2) NIL (1405 2344 1378 2349 2346 (6 1379 (6 2344 2349))) 10116))
            (OPERATION (CLAUSE 5926 P62 (2336 1399) ((8911 . ANY)(8909 . ANY)(8913 . ANY)(8914 . ANY)) ((+ 2 ((6 8914 8913) (6 8909 (6 8911 (6 8913 (6 8909 (6 8911 8914))))))) ))
                       (PARAMODULATION 1399 1 (2) 2336 1 (2 2 2 2 2 2) NIL (1350 2349 2346 (6 1385 2349)) 5926))
            (OPERATION (CLAUSE 7822 P63 (589 2673) ((7806 . ANY)(7802 . ANY)(7785 . ANY)(7789 . ANY)) ((+ 2 ((6 7789 (6 7785 (6 7802 (6 7806 (6 7789 7785))))) (6 7806 7802))) ))
                       (PARAMODULATION 2673 1 (2) 589 1 (2 2) NIL (2683 698 