;;; -*- Package: MKRP; Base: 10; Mode: LISP; Syntax: Common-lisp -*-

(CONSTRUCTION  "Genera 8.0.1 Logical Pathnames Translation Files NEWEST IP-TCP 422.2 RPC 415.0 Embedding Support 407.0 UX Support 416.0 KKL 19.2 HADES 14.21 Waltz 6.0 COLUMN 6.0 Experimental MKRP 48.5" "17-JUL,1991 17:10" 
   ("Edit:     Axioms and Theorems edited: 08-MAR,1991 18:05 "
   ))

(AXIOMS.INFIX    ((* AXIOMS *)
   (* RING *)
   (ALL |X,Y,Z| + (+ (X Y) Z) = + (X + (Y Z)))
   (ALL X + (0 X) = X)
   (ALL X + (- (X) X) = 0)
   (ALL |X,Y,Z| * (* (X Y) Z) = * (X * (Y Z)))
   (ALL |X,Y,Z| * (X + (Y Z)) = + (* (X Y) * (X Z)))
   (ALL |X,Y,Z| * (+ (Y Z) X) = + (* (Y X) * (Z X)))
   (* MIT EINS *)
   (ALL X * (1 X) = X)
   (ALL X * (X 1) = X)
   (* NULLTEILERFREI *)
   (ALL |X,Y| * (X Y) = 0 IMPL X = 0 OR Y = 0)))

(THEOREMS.INFIX ((* THEOREM *)
   (ALL |X,Y,Z| * (X Y) = * (Z Y) AND NOT (Y = 0) IMPL X = Z)))

(AXIOMS.PREFIX   (COMMENT
   COMMENT
   (ALL 5 (ALL 4 (ALL 3 (+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5))) NIL))))
   (ALL 7 (+ 2 ((6 8 7) 7) NIL))
   (ALL 9 (+ 2 ((6 (10 9) 9) 8) NIL))
   (ALL 13 (ALL 12 (ALL 11 (+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13))) NIL))))
   (ALL 17 (ALL 16 (ALL 15 (+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17))) NIL))))
   (ALL 20 (ALL 19 (ALL 18 (+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18))) NIL))))
   COMMENT
   (ALL 21 (+ 2 ((14 22 21) 21) NIL))
   (ALL 23 (+ 2 ((14 23 22) 23) NIL))
   COMMENT
   (ALL 25 (ALL 24 (IMPL (+ 2 ((14 24 25) 8) NIL) (OR (+ 2 (24 8) NIL) (+ 2 (25 8) NIL)))))))

(THEOREMS.PREFIX (COMMENT
   (ALL 28 (ALL 27 (ALL 26 (IMPL (AND (+ 2 ((14 26 27) (14 28 27)) NIL) (NOT (+ 2 (27 8) NIL))) (+ 2 (26 28) NIL)))))))

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . P)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . P)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . HEURISTIC-COMPLETION)
    (ER_COMPLETION . UNFAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 0)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )

(LINK.COLOURS (R RIW RD S SI SIW SID T TI TIW P PIW PD RIWD))

(AXIOMS (START.TIME 142215512)
   (PARTIAL   (CLAUSE 31 R.= AXIOM ((29 . ANY)) ((+ 2 (29 29)) ))(CLAUSE 35 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) )))
   (PARTIAL   (CLAUSE 42 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) )))
   (PARTIAL   (CLAUSE 46 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) )))
   (PARTIAL   (CLAUSE 52 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) )))
   (PARTIAL   (CLAUSE 58 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) )))
   (PARTIAL   (CLAUSE 69 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) )))
   (PARTIAL   (CLAUSE 78 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) )))
   (PARTIAL   (CLAUSE 84 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) )))
   (PARTIAL   (CLAUSE 96 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) )))
   (END.TIME 142226487)
   (FINAL 31 35 42 46 52 58 69 78 84 96)
   (SYMBOLS 
   (LET (NEW.ADDRESS)
   (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
   (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (CONS   22 (DT-CONSTANT.CREATE "1" 'ANY))
   (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
   (CONS   14 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
   (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
   (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
   (RESULT))

(THEOREMS (SPLITPART.IDENTIFIER 1)
   (START.TIME 142226644)
   (PARTIAL   (CLAUSE 27 T10 THEOREM () ((+ 2 ((14 119 120) (14 118 120))) )))
   (PARTIAL   (CLAUSE 122 T11 THEOREM () ((- 2 (120 8)) )))
   (PARTIAL   (CLAUSE 126 T12 THEOREM () ((- 2 (119 118)) )))
   (INITIAL   (CLAUSE 31 R.= AXIOM ((29 . ANY)) ((+ 2 (29 29)) ))
(CLAUSE 35 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 42 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 46 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 52 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) ))
(CLAUSE 58 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) ))
(CLAUSE 69 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) ))
(CLAUSE 78 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) ))
(CLAUSE 84 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) ))
(CLAUSE 96 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) ))
(CLAUSE 27 T10 THEOREM () ((+ 2 ((14 119 120) (14 118 120))) ))
(CLAUSE 122 T11 THEOREM () ((- 2 (120 8)) ))
(CLAUSE 126 T12 THEOREM () ((- 2 (119 118)) ))   )
   (END.TIME 142241038)
   (FINAL 31 35 42 46 52 58 69 78 84 96 27 122 126)
   (SYMBOLS 
   (LET (NEW.ADDRESS)
   (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
   (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (CONS  120 (DT-CONSTANT.CREATE "c_3" 'ANY))
   (CONS  119 (DT-CONSTANT.CREATE "c_2" 'ANY))
   (CONS  118 (DT-CONSTANT.CREATE "c_1" 'ANY))
   (CONS   22 (DT-CONSTANT.CREATE "1" 'ANY))
   (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
   (CONS   14 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
   (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
   (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
   (RESULT))
(indices ((126 14) (122 13) (27 12) (96 9 10 11) (84 8) (78 7) (69 6) (58 5) (52 4) (46 3) (42 2) (35 1) (31 NIL)))

(SPLITPARTS "Genera 8.0.1 Logical Pathnames Translation Files NEWEST IP-TCP 422.2 RPC 415.0 Embedding Support 407.0 UX Support 416.0 KKL 19.2 HADES 14.21 Waltz 6.0 COLUMN 6.0 Experimental MKRP 48.5" "17-JUL,1991 17:11" NIL)

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . P)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . P)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . HEURISTIC-COMPLETION)
    (ER_COMPLETION . UNFAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 0)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )

(REFUTATION (START.TIME 142243297)

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . P)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . P)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . HEURISTIC-COMPLETION)
    (ER_COMPLETION . UNFAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 0)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )
   (INITIAL   (CLAUSE 31 R.= AXIOM ((29 . ANY)) ((+ 2 (29 29)) ))
(CLAUSE 35 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 42 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 46 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 52 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) ))
(CLAUSE 58 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) ))
(CLAUSE 69 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) ))
(CLAUSE 78 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) ))
(CLAUSE 84 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) ))
(CLAUSE 96 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) ))
(CLAUSE 27 T10 THEOREM () ((+ 2 ((14 119 120) (14 118 120))) ))
(CLAUSE 122 T11 THEOREM () ((- 2 (120 8)) ))
(CLAUSE 126 T12 THEOREM () ((- 2 (119 118)) ))   )
   (OPERATION (CLAUSE 79 P1 (35 46) ((61 . ANY)(60 . ANY)) ((+ 2 ((6 8 60) (6 (10 61) (6 61 60)))) ))
   (PARAMODULATION 46 1 (1) 35 1 (1 1) NIL (3 (10 4) 9 4) 79))
   (OPERATION (CLAUSE 79 P1 (35 46) ((61 . ANY)(60 . ANY)) ((+ 2 (60 (6 (10 61) (6 61 60)))) ))
   (REWRITE 42 1 79))
   (OPERATION (CLAUSE 301 P2 (79 42) ((80 . ANY)) ((+ 2 (80 (6 (10 8) 80))) ))
   (PARAMODULATION 42 1 (1) 79 1 (2 2) NIL (61 8 7 60) 301))
   (OPERATION (CLAUSE 306 P3 (79 46) ((309 . ANY)) ((+ 2 (309 (6 (10 (10 309)) 8))) ))
   (PARAMODULATION 46 1 (1) 79 1 (2 2) NIL (61 (10 60) 9 60) 306))
   (OPERATION (CLAUSE 365 P4 (79 301) ((343 . ANY)) ((+ 2 (343 (6 (10 (10 8)) 343))) ))
   (PARAMODULATION 301 1 (2) 79 1 (2 2) NIL (61 (10 8) 80 60) 365))
   (OPERATION (CLAUSE 374 P5 (46 365) () ((+ 2 ((10 8) 8)) ))
   (PARAMODULATION 365 1 (2) 46 1 (1) NIL (9 (10 8) 343 (10 8)) 374))
   (OPERATION (CLAUSE 301 P2 (79 42) ((80 . ANY)) ((+ 2 (80 (6 8 80))) ))
   (REWRITE 374 1 301))
   (OPERATION (CLAUSE 301 P2 (79 42) ((80 . ANY)) ((+ 2 (80 80)) ))
   (REWRITE 42 1 301))
   (OPERATION (CLAUSE 365 P4 (79 301) ((343 . ANY)) ((+ 2 (343 (6 (10 8) 343))) ))
   (REWRITE 374 1 365))
   (OPERATION (CLAUSE 365 P4 (79 301) ((343 . ANY)) ((+ 2 (343 (6 8 343))) ))
   (REWRITE 374 1 365))
   (OPERATION (CLAUSE 365 P4 (79 301) ((343 . ANY)) ((+ 2 (343 343)) ))
   (REWRITE 42 1 365))
   (OPERATION (CLAUSE 379 P6 (79 306) ((421 . ANY)) ((+ 2 (8 (6 (10 (10 (10 421))) 421))) ))
   (PARAMODULATION 306 1 (2) 79 1 (2 2) NIL (61 (10 (10 309)) 60 8) 379))
   (OPERATION (CLAUSE 305 P7 (79 379) ((376 . ANY)) ((+ 2 (376 (6 (10 (10 (10 (10 376)))) 8))) ))
   (PARAMODULATION 379 1 (2) 79 1 (2 2) NIL (61 (10 (10 (10 60))) 421 60) 305))
   (OPERATION (CLAUSE 305 P7 (79 379) ((376 . ANY)) ((+ 2 (376 (10 (10 376)))) ))
   (REWRITE 306 1 305))
   (OPERATION (CLAUSE 306 P3 (79 46) ((309 . ANY)) ((+ 2 (309 (6 309 8))) ))
   (REWRITE 305 1 306))
   (OPERATION (CLAUSE 379 P6 (79 306) ((421 . ANY)) ((+ 2 (8 (6 (10 421) 421))) ))
   (REWRITE 305 1 379))
   (OPERATION (CLAUSE 379 P6 (79 306) () ((+ 2 (8 8)) ))
   (REWRITE 46 1 379))
   (OPERATION (CLAUSE 473 P8 (46 305) ((476 . ANY)) ((+ 2 ((6 476 (10 476)) 8)) ))
   (PARAMODULATION 305 1 (2) 46 1 (1 1) NIL (9 (10 376)) 473))
   (OPERATION (CLAUSE 479 P9 (79 305) ((562 . ANY)(344 . ANY)) ((+ 2 (344 (6 562 (6 (10 562) 344)))) ))
   (PARAMODULATION 305 1 (2) 79 1 (2 1) NIL (61 (10 376)) 479))
   (OPERATION (CLAUSE 570 P10 (35 473) ((574 . ANY)(573 . ANY)) ((+ 2 (8 (6 573 (6 574 (10 (6 573 574)))))) ))
   (PARAMODULATION 473 1 (1) 35 1 (1) NIL (476 (6 3 4) 5 (10 (6 3 4))) 570))
   (OPERATION (CLAUSE 645 P11 (79 570) ((649 . ANY)(746 . ANY)) ((+ 2 ((6 746 (10 (6 649 746))) (6 (10 649) 8))) ))
   (PARAMODULATION 570 1 (2) 79 1 (2 2) NIL (573 61 60 (6 574 (10 (6 61 574)))) 645))
   (OPERATION (CLAUSE 645 P11 (79 570) ((649 . ANY)(746 . ANY)) ((+ 2 ((6 746 (10 (6 649 746))) (10 649))) ))
   (REWRITE 306 1 645))
   (OPERATION (CLAUSE 570 P10 (35 473) ((573 . ANY)) ((+ 2 (8 (6 573 (10 573)))) ))
   (REWRITE 645 1 570))
   (OPERATION (CLAUSE 570 P10 (35 473) () ((+ 2 (8 8)) ))
   (REWRITE 473 1 570))
   (OPERATION (CLAUSE 653 P12 (645 645) ((571 . ANY)(836 . ANY)) ((+ 2 ((6 (10 (6 836 571)) (10 (10 836))) (10 571))) ))
   (PARAMODULATION 645 1 (1) 645 1 (1 2 1) NIL (646 649 746 (10 (6 647 649))) 653))
   (OPERATION (CLAUSE 653 P12 (645 645) ((571 . ANY)(836 . ANY)) ((+ 2 ((6 (10 (6 836 571)) 836) (10 571))) ))
   (REWRITE 305 1 653))
   (OPERATION (CLAUSE 637 P13 (58 42) ((751 . ANY)(569 . ANY)) ((+ 2 ((14 569 751) (6 (14 569 8) (14 569 751)))) ))
   (PARAMODULATION 42 1 (1) 58 1 (1 2) NIL (16 8 7 17) 637))
   (OPERATION (CLAUSE 977 P14 (645 637) ((975 . ANY)(63 . ANY)) ((+ 2 ((6 (14 63 975) (10 (14 63 975))) (10 (14 63 8)))) ))
   (PARAMODULATION 637 1 (2) 645 1 (1 2 1) NIL (649 (14 569 8) 746 (14 569 751)) 977))
   (OPERATION (CLAUSE 977 P14 (645 637) ((63 . ANY)) ((+ 2 (8 (10 (14 63 8)))) ))
   (REWRITE 473 1 977))
   (OPERATION (CLAUSE 566 P15 (46 977) ((1011 . ANY)) ((+ 2 ((6 8 (14 1011 8)) 8)) ))
   (PARAMODULATION 977 1 (2) 46 1 (1 1) NIL (9 (14 63 8)) 566))
   (OPERATION (CLAUSE 566 P15 (46 977) ((1011 . ANY)) ((+ 2 ((14 1011 8) 8)) ))
   (REWRITE 42 1 566))
   (OPERATION (CLAUSE 637 P13 (58 42) ((751 . ANY)(569 . ANY)) ((+ 2 ((14 569 751) (6 8 (14 569 751)))) ))
   (REWRITE 566 1 637))
   (OPERATION (CLAUSE 637 P13 (58 42) ((751 . ANY)(569 . ANY)) ((+ 2 ((14 569 751) (14 569 751))) ))
   (REWRITE 42 1 637))
   (OPERATION (CLAUSE 977 P14 (645 637) () ((+ 2 (8 (10 8))) ))
   (REWRITE 566 1 977))
   (OPERATION (CLAUSE 977 P14 (645 637) () ((+ 2 (8 8)) ))
   (REWRITE 374 1 977))
   (OPERATION (CLAUSE 1016 P16 (52 566) ((986 . ANY)(1023 . ANY)) ((+ 2 ((14 8 1023) (14 986 (14 8 1023)))) ))
   (PARAMODULATION 566 1 (1) 52 1 (1 1) NIL (1011 11 12 8) 1016))
   (OPERATION (CLAUSE 748 P17 (58 46) ((1012 . ANY)(641 . ANY)) ((+ 2 ((14 641 8) (6 (14 641 (10 1012)) (14 641 1012)))) ))
   (PARAMODULATION 46 1 (1) 58 1 (1 2) NIL (16 (10 17) 9 17) 748))
   (OPERATION (CLAUSE 748 P17 (58 46) ((1012 . ANY)(641 . ANY)) ((+ 2 (8 (6 (14 641 (10 1012)) (14 641 1012)))) ))
   (REWRITE 566 1 748))
   (OPERATION (CLAUSE 1105 P18 (748 84) ((1110 . ANY)) ((+ 2 (8 (6 (14 1110 (10 22)) 1110))) ))
   (PARAMODULATION 84 1 (1) 748 1 (2 2) NIL (23 641 1012 22) 1105))
   (OPERATION (CLAUSE 1200 P19 (306 1105) () ((+ 2 ((14 8 (10 22)) 8)) ))
   (PARAMODULATION 1105 1 (2) 306 1 (2) NIL (309 (14 8 (10 22)) 1110 8) 1200))
   (OPERATION (CLAUSE 1246 P20 (79 1105) ((1196 . ANY)) ((+ 2 (1196 (6 (10 (14 1196 (10 22))) 8))) ))
   (PARAMODULATION 1105 1 (2) 79 1 (2 2) NIL (61 (14 60 (10 22)) 1110 60) 1246))
   (OPERATION (CLAUSE 1246 P20 (79 1105) ((1196 . ANY)) ((+ 2 (1196 (10 (14 1196 (10 22))))) ))
   (REWRITE 306 1 1246))
   (OPERATION (CLAUSE 1199 P21 (653 1105) ((1195 . ANY)) ((+ 2 ((6 (10 8) (14 1195 (10 22))) (10 1195))) ))
   (PARAMODULATION 1105 1 (2) 653 1 (1 1 1) NIL (836 (14 571 (10 22)) 1110 571) 1199))
   (OPERATION (CLAUSE 1199 P21 (653 1105) ((1195 . ANY)) ((+ 2 ((6 8 (14 1195 (10 22))) (10 1195))) ))
   (REWRITE 374 1 1199))
   (OPERATION (CLAUSE 1199 P21 (653 1105) ((1195 . ANY)) ((+ 2 ((14 1195 (10 22)) (10 1195))) ))
   (REWRITE 42 1 1199))
   (OPERATION (CLAUSE 1105 P18 (748 84) ((1110 . ANY)) ((+ 2 (8 (6 (10 1110) 1110))) ))
   (REWRITE 1199 1 1105))
   (OPERATION (CLAUSE 1105 P18 (748 84) () ((+ 2 (8 8)) ))
   (REWRITE 46 1 1105))
   (OPERATION (CLAUSE 1200 P19 (306 1105) () ((+ 2 ((10 8) 8)) ))
   (REWRITE 1199 1 1200))
   (OPERATION (CLAUSE 1200 P19 (306 1105) () ((+ 2 (8 8)) ))
   (REWRITE 374 1 1200))
   (OPERATION (CLAUSE 1246 P20 (79 1105) ((1196 . ANY)) ((+ 2 (1196 (10 (10 1196)))) ))
   (REWRITE 1199 1 1246))
   (OPERATION (CLAUSE 1246 P20 (79 1105) ((1196 . ANY)) ((+ 2 (1196 1196)) ))
   (REWRITE 305 1 1246))
   (OPERATION (CLAUSE 1250 P22 (79 748) ((1363 . ANY)(1107 . ANY)) ((+ 2 ((14 1107 1363) (6 (10 (14 1107 (10 1363))) 8))) ))
   (PARAMODULATION 748 1 (2) 79 1 (2 2) NIL (61 (14 641 (10 1012)) 60 (14 641 1012)) 1250))
   (OPERATION (CLAUSE 1250 P22 (79 748) ((1363 . ANY)(1107 . ANY)) ((+ 2 ((14 1107 1363) (10 (14 1107 (10 1363))))) ))
   (REWRITE 306 1 1250))
   (OPERATION (CLAUSE 984 P23 (653 748) ((1397 . ANY)(907 . ANY)) ((+ 2 ((6 (10 8) (14 907 (10 1397))) (10 (14 907 1397)))) ))
   (PARAMODULATION 748 1 (2) 653 1 (1 1 1) NIL (836 (14 641 (10 1012)) 571 (14 641 1012)) 984))
   (OPERATION (CLAUSE 984 P23 (653 748) ((1397 . ANY)(907 . ANY)) ((+ 2 ((6 8 (14 907 (10 1397))) (10 (14 907 1397)))) ))
   (REWRITE 374 1 984))
   (OPERATION (CLAUSE 984 P23 (653 748) ((1397 . ANY)(907 . ANY)) ((+ 2 ((14 907 (10 1397)) (10 (14 907 1397)))) ))
   (REWRITE 42 1 984))
   (OPERATION (CLAUSE 748 P17 (58 46) ((1012 . ANY)(641 . ANY)) ((+ 2 (8 (6 (10 (14 641 1012)) (14 641 1012)))) ))
   (REWRITE 984 1 748))
   (OPERATION (CLAUSE 748 P17 (58 46) () ((+ 2 (8 8)) ))
   (REWRITE 46 1 748))
   (OPERATION (CLAUSE 1199 P21 (653 1105) ((1195 . ANY)) ((+ 2 ((10 (14 1195 22)) (10 1195))) ))
   (REWRITE 984 1 1199))
   (OPERATION (CLAUSE 1199 P21 (653 1105) ((1195 . ANY)) ((+ 2 ((10 1195) (10 1195))) ))
   (REWRITE 84 1 1199))
   (OPERATION (CLAUSE 1250 P22 (79 748) ((1363 . ANY)(1107 . ANY)) ((+ 2 ((14 1107 1363) (10 (10 (14 1107 1363))))) ))
   (REWRITE 984 1 1250))
   (OPERATION (CLAUSE 1250 P22 (79 748) ((1363 . ANY)(1107 . ANY)) ((+ 2 ((14 1107 1363) (14 1107 1363))) ))
   (REWRITE 305 1 1250))
   (OPERATION (CLAUSE 1018 P24 (69 42) ((1483 . ANY)(643 . ANY)) ((+ 2 ((14 643 1483) (6 (14 8 1483) (14 643 1483)))) ))
   (PARAMODULATION 42 1 (1) 69 1 (1 1) NIL (19 8 7 20) 1018))
   (OPERATION (CLAUSE 1103 P25 (645 1018) ((1541 . ANY)(74 . ANY)) ((+ 2 ((6 (14 74 1541) (10 (14 74 1541))) (10 (14 8 1541)))) ))
   (PARAMODULATION 1018 1 (2) 645 1 (1 2 1) NIL (649 (14 8 1483) 746 (14 643 1483)) 1103))
   (OPERATION (CLAUSE 1103 P25 (645 1018) ((1541 . ANY)) ((+ 2 (8 (10 (14 8 1541)))) ))
   (REWRITE 473 1 1103))
   (OPERATION (CLAUSE 1543 P26 (46 1103) ((1579 . ANY)) ((+ 2 ((6 8 (14 8 1579)) 8)) ))
   (PARAMODULATION 1103 1 (2) 46 1 (1 1) NIL (9 (14 8 1541)) 1543))
   (OPERATION (CLAUSE 1543 P26 (46 1103) ((1579 . ANY)) ((+ 2 ((14 8 1579) 8)) ))
   (REWRITE 42 1 1543))
   (OPERATION (CLAUSE 1016 P16 (52 566) ((1023 . ANY)(986 . ANY)) ((+ 2 (8 (14 986 (14 8 1023)))) ))
   (REWRITE 1543 1 1016))
   (OPERATION (CLAUSE 1016 P16 (52 566) ((986 . ANY)) ((+ 2 (8 (14 986 8))) ))
   (REWRITE 1543 1 1016))
   (OPERATION (CLAUSE 1016 P16 (52 566) () ((+ 2 (8 8)) ))
   (REWRITE 566 1 1016))
   (OPERATION (CLAUSE 1018 P24 (69 42) ((1483 . ANY)(643 . ANY)) ((+ 2 ((14 643 1483) (6 8 (14 643 1483)))) ))
   (REWRITE 1543 1 1018))
   (OPERATION (CLAUSE 1018 P24 (69 42) ((1483 . ANY)(643 . ANY)) ((+ 2 ((14 643 1483) (14 643 1483))) ))
   (REWRITE 42 1 1018))
   (OPERATION (CLAUSE 1103 P25 (645 1018) () ((+ 2 (8 (10 8))) ))
   (REWRITE 1543 1 1103))
   (OPERATION (CLAUSE 1103 P25 (645 1018) () ((+ 2 (8 8)) ))
   (REWRITE 374 1 1103))
   (OPERATION (CLAUSE 1104 P27 (69 46) ((1590 . ANY)(901 . ANY)) ((+ 2 ((14 8 901) (6 (14 (10 1590) 901) (14 1590 901)))) ))
   (PARAMODULATION 46 1 (1) 69 1 (1 1) NIL (19 (10 20) 9 20) 1104))
   (OPERATION (CLAUSE 1104 P27 (69 46) ((901 . ANY)(1590 . ANY)) ((+ 2 (8 (6 (14 (10 1590) 901) (14 1590 901)))) ))
   (REWRITE 1543 1 1104))
   (OPERATION (CLAUSE 900 P28 (1104 78) ((73 . ANY)) ((+ 2 (8 (6 (14 (10 22) 73) 73))) ))
   (PARAMODULATION 78 1 (1) 1104 1 (2 2) NIL (1590 22 21 901) 900))
   (OPERATION (CLAUSE 1718 P29 (79 900) ((1721 . ANY)) ((+ 2 (1721 (6 (10 (14 (10 22) 1721)) 8))) ))
   (PARAMODULATION 900 1 (2) 79 1 (2 2) NIL (61 (14 (10 22) 60) 73 60) 1718))
   (OPERATION (CLAUSE 1718 P29 (79 900) ((1721 . ANY)) ((+ 2 (1721 (10 (14 (10 22) 1721)))) ))
   (REWRITE 306 1 1718))
   (OPERATION (CLAUSE 1768 P30 (653 900) ((1113 . ANY)) ((+ 2 ((6 (10 8) (14 (10 22) 1113)) (10 1113))) ))
   (PARAMODULATION 900 1 (2) 653 1 (1 1 1) NIL (836 (14 (10 22) 571) 73 571) 1768))
   (OPERATION (CLAUSE 1768 P30 (653 900) ((1113 . ANY)) ((+ 2 ((6 8 (14 (10 22) 1113)) (10 1113))) ))
   (REWRITE 374 1 1768))
   (OPERATION (CLAUSE 1768 P30 (653 900) ((1113 . ANY)) ((+ 2 ((14 (10 22) 1113) (10 1113))) ))
   (REWRITE 42 1 1768))
   (OPERATION (CLAUSE 900 P28 (1104 78) ((73 . ANY)) ((+ 2 (8 (6 (10 73) 73))) ))
   (REWRITE 1768 1 900))
   (OPERATION (CLAUSE 900 P28 (1104 78) () ((+ 2 (8 8)) ))
   (REWRITE 46 1 900))
   (OPERATION (CLAUSE 1718 P29 (79 900) ((1721 . ANY)) ((+ 2 (1721 (10 (10 1721)))) ))
   (REWRITE 1768 1 1718))
   (OPERATION (CLAUSE 1718 P29 (79 900) ((1721 . ANY)) ((+ 2 (1721 1721)) ))
   (REWRITE 305 1 1718))
   (OPERATION (CLAUSE 1717 P31 (79 1104) ((1859 . ANY)(905 . ANY)) ((+ 2 ((14 905 1859) (6 (10 (14 (10 905) 1859)) 8))) ))
   (PARAMODULATION 1104 1 (2) 79 1 (2 2) NIL (61 (14 (10 1590) 901) 60 (14 1590 901)) 1717))
   (OPERATION (CLAUSE 1717 P31 (79 1104) ((1859 . ANY)(905 . ANY)) ((+ 2 ((14 905 1859) (10 (14 (10 905) 1859)))) ))
   (REWRITE 306 1 1717))
   (OPERATION (CLAUSE 1766 P32 (653 1104) ((1908 . ANY)(1582 . ANY)) ((+ 2 ((6 (10 8) (14 (10 1582) 1908)) (10 (14 1582 1908)))) ))
   (PARAMODULATION 1104 1 (2) 653 1 (1 1 1) NIL (836 (14 (10 1590) 901) 571 (14 1590 901)) 1766))
   (OPERATION (CLAUSE 1766 P32 (653 1104) ((1908 . ANY)(1582 . ANY)) ((+ 2 ((6 8 (14 (10 1582) 1908)) (10 (14 1582 1908)))) ))
   (REWRITE 374 1 1766))
   (OPERATION (CLAUSE 1766 P32 (653 1104) ((1908 . ANY)(1582 . ANY)) ((+ 2 ((14 (10 1582) 1908) (10 (14 1582 1908)))) ))
   (REWRITE 42 1 1766))
   (OPERATION (CLAUSE 1104 P27 (69 46) ((901 . ANY)(1590 . ANY)) ((+ 2 (8 (6 (10 (14 1590 901)) (14 1590 901)))) ))
   (REWRITE 1766 1 1104))
   (OPERATION (CLAUSE 1104 P27 (69 46) () ((+ 2 (8 8)) ))
   (REWRITE 46 1 1104))
   (OPERATION (CLAUSE 1768 P30 (653 900) ((1113 . ANY)) ((+ 2 ((10 (14 22 1113)) (10 1113))) ))
   (REWRITE 1766 1 1768))
   (OPERATION (CLAUSE 1768 P30 (653 900) ((1113 . ANY)) ((+ 2 ((10 1113) (10 1113))) ))
   (REWRITE 78 1 1768))
   (OPERATION (CLAUSE 1717 P31 (79 1104) ((1859 . ANY)(905 . ANY)) ((+ 2 ((14 905 1859) (10 (10 (14 905 1859))))) ))
   (REWRITE 1766 1 1717))
   (OPERATION (CLAUSE 1717 P31 (79 1104) ((1859 . ANY)(905 . ANY)) ((+ 2 ((14 905 1859) (14 905 1859))) ))
   (REWRITE 305 1 1717))
   (OPERATION (CLAUSE 1542 P33 (52 27) ((1547 . ANY)) ((+ 2 ((14 (14 119 120) 1547) (14 118 (14 120 1547)))) ))
   (PARAMODULATION 27 1 (2) 52 1 (1 1) NIL (11 118 12 120) 1542))
   (OPERATION (CLAUSE 1542 P33 (52 27) ((1547 . ANY)) ((+ 2 ((14 119 (14 120 1547)) (14 118 (14 120 1547)))) ))
   (REWRITE 52 1 1542))
   (OPERATION (CLAUSE 1813 P34 (79 645) ((1917 . ANY)(1921 . ANY)) ((+ 2 ((10 (6 1921 1917)) (6 (10 1917) (10 1921)))) ))
   (PARAMODULATION 645 1 (1) 79 1 (2 2) NIL (746 61 60 (10 (6 649 61))) 1813))
   (OPERATION (CLAUSE 645 P11 (79 570) ((649 . ANY)(746 . ANY)) ((+ 2 ((6 746 (6 (10 746) (10 649))) (10 649))) ))
   (REWRITE 1813 1 645))
   (OPERATION (CLAUSE 645 P11 (79 570) ((649 . ANY)) ((+ 2 ((10 649) (10 649))) ))
   (REWRITE 479 1 645))
   (OPERATION (CLAUSE 653 P12 (645 645) ((836 . ANY)(571 . ANY)) ((+ 2 ((6 (6 (10 571) (10 836)) 836) (10 571))) ))
   (REWRITE 1813 1 653))
   (OPERATION (CLAUSE 653 P12 (645 645) ((836 . ANY)(571 . ANY)) ((+ 2 ((6 (10 571) (6 (10 836) 836)) (10 571))) ))
   (REWRITE 35 1 653))
   (OPERATION (CLAUSE 653 P12 (645 645) ((571 . ANY)) ((+ 2 ((6 (10 571) 8) (10 571))) ))
   (REWRITE 46 1 653))
   (OPERATION (CLAUSE 653 P12 (645 645) ((571 . ANY)) ((+ 2 ((10 571) (10 571))) ))
   (REWRITE 306 1 653))
   (OPERATION (CLAUSE 646 P35 (96 27) ()
   ((- 2 ((14 119 120) 8)) (+ 2 (118 8)) (+ 2 (120 8)) ))
   (PARAMODULATION 27 1 (2) 96 1 (1) NIL (24 118 25 120) 646))
   (OPERATION (CLAUSE 646 P35 (96 27) ()
   ((- 2 ((14 119 120) 8)) (+ 2 (118 8)) (+ 2 (120 8)) ))
   (REPLACEMENT.OPERATION NIL (646 122)
  (((646 . 3) (122 . 1) SYMMETRIC))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 1762 P36 (69 984) ((563 . ANY)(1910 . ANY)(1767 . ANY)) ((+ 2 ((10 (14 (6 1767 1910) 563)) (6 (14 1767 (10 563)) (14 1910 (10 563))))) ))
   (PARAMODULATION 984 1 (1) 69 1 (1) NIL (907 (6 19 20) 18 (10 1397)) 1762))
   (OPERATION (CLAUSE 1762 P36 (69 984) ((563 . ANY)(1910 . ANY)(1767 . ANY)) ((+ 2 ((10 (14 (6 1767 1910) 563)) (6 (10 (14 1767 563)) (14 1910 (10 563))))) ))
   (REWRITE 984 1 1762))
   (OPERATION (CLAUSE 1762 P36 (69 984) ((563 . ANY)(1910 . ANY)(1767 . ANY)) ((+ 2 ((10 (14 (6 1767 1910) 563)) (6 (10 (14 1767 563)) (10 (14 1910 563))))) ))
   (REWRITE 984 1 1762))
   (OPERATION (CLAUSE 1762 P36 (69 984) ((1910 . ANY)(563 . ANY)(1767 . ANY)) ((+ 2 ((10 (6 (14 1767 563) (14 1910 563))) (6 (10 (14 1767 563)) (10 (14 1910 563))))) ))
   (REWRITE 69 1 1762))
   (OPERATION (CLAUSE 1762 P36 (69 984) ((1767 . ANY)(563 . ANY)(1910 . ANY)) ((+ 2 ((6 (10 (14 1910 563)) (10 (14 1767 563))) (6 (10 (14 1767 563)) (10 (14 1910 563))))) ))
   (REWRITE 1813 1 1762))
   (OPERATION (CLAUSE 28 P37 (1762 84) ((1399 . ANY)(1398 . ANY)) ((+ 2 ((6 (10 1398) (10 (14 1399 22))) (6 (10 (14 1399 22)) (10 (14 1398 22))))) ))
   (PARAMODULATION 84 1 (1) 1762 1 (1 1 1) NIL (23 1910 563 22) 28))
   (OPERATION (CLAUSE 28 P37 (1762 84) ((1399 . ANY)(1398 . ANY)) ((+ 2 ((6 (10 1398) (10 1399)) (6 (10 (14 1399 22)) (10 (14 1398 22))))) ))
   (REWRITE 84 1 28))
   (OPERATION (CLAUSE 28 P37 (1762 84) ((1399 . ANY)(1398 . ANY)) ((+ 2 ((6 (10 1398) (10 1399)) (6 (10 1399) (10 (14 1398 22))))) ))
   (REWRITE 84 1 28))
   (OPERATION (CLAUSE 28 P37 (1762 84) ((1399 . ANY)(1398 . ANY)) ((+ 2 ((6 (10 1398) (10 1399)) (6 (10 1399) (10 1398)))) ))
   (REWRITE 84 1 28))
   (OPERATION (CLAUSE 2400 P38 (28 305) ((2414 . ANY)(2578 . ANY)) ((+ 2 ((6 2578 (10 2414)) (6 (10 2414) (10 (10 2578))))) ))
   (PARAMODULATION 305 1 (2) 28 1 (1 1) NIL (1398 (10 376)) 2400))
   (OPERATION (CLAUSE 2400 P38 (28 305) ((2414 . ANY)(2578 . ANY)) ((+ 2 ((6 2578 (10 2414)) (6 (10 2414) 2578))) ))
   (REWRITE 305 1 2400))
   (OPERATION (CLAUSE 1818 P39 (2400 305) ((2739 . ANY)(2091 . ANY)) ((+ 2 ((6 2091 2739) (6 (10 (10 2739)) 2091))) ))
   (PARAMODULATION 305 1 (2) 2400 1 (1 2) NIL (2414 (10 376)) 1818))
   (OPERATION (CLAUSE 1818 P39 (2400 305) ((2739 . ANY)(2091 . ANY)) ((+ 2 ((6 2091 2739) (6 2739 2091))) ))
   (REWRITE 305 1 1818))
   (OPERATION (CLAUSE 46 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 9 (10 9)) 8)) ))
   (REWRITE 1818 1 46))
   (OPERATION (CLAUSE 46 A3 AXIOM () ((+ 2 (8 8)) ))
   (REWRITE 473 1 46))
   (OPERATION (CLAUSE 108 P40 (79 1818) ((2745 . ANY)(2744 . ANY)) ((+ 2 (2744 (6 (6 2745 2744) (10 2745)))) ))
   (PARAMODULATION 1818 1 (1) 79 1 (2) NIL (2091 (10 61) 2739 (6 61 60)) 108))
   (OPERATION (CLAUSE 108 P40 (79 1818) ((2745 . ANY)(2744 . ANY)) ((+ 2 (2744 (6 2745 (6 2744 (10 2745))))) ))
   (REWRITE 35 1 108))
   (OPERATION (CLAUSE 2093 P41 (479 1818) ((2407 . ANY)(2390 . ANY)) ((+ 2 (2390 (6 (6 (10 2407) 2390) 2407))) ))
   (PARAMODULATION 1818 1 (1) 479 1 (2) NIL (2091 562 2739 (6 (10 562) 344)) 2093))
   (OPERATION (CLAUSE 2093 P41 (479 1818) ((2407 . ANY)(2390 . ANY)) ((+ 2 (2390 (6 (10 2407) (6 2390 2407)))) ))
   (REWRITE 35 1 2093))
   (OPERATION (CLAUSE 2099 P42 (35 1818) ((3028 . ANY)(3027 . ANY)(3029 . ANY)) ((+ 2 ((6 3029 (6 3027 3028)) (6 3027 (6 3028 3029)))) ))
   (PARAMODULATION 1818 1 (1) 35 1 (1) NIL (2091 (6 3 4) 2739 5) 2099))
   (OPERATION (CLAUSE 2079 P43 (2099 1818) ((2085 . ANY)(2068 . ANY)(903 . ANY)) ((+ 2 ((6 903 (6 2068 2085)) (6 2085 (6 2068 903)))) ))
   (PARAMODULATION 1818 1 (1) 2099 1 (1 2) NIL (2091 3027 2739 3028) 2079))