;;; -*- Package: MKRP; Base: 10; Mode: LISP; Syntax: Common-lisp -*-

(CONSTRUCTION  "Genera 8.0.1 Logical Pathnames Translation Files NEWEST IP-TCP 422.2 RPC 415.0 Embedding Support 407.0 UX Support 416.0 KKL 19.2 HADES 14.21 Waltz 6.0 COLUMN 6.0 Experimental MKRP 48.5" "17-JUL,1991 18:32" 
   ("Edit:     Axioms and Theorems edited: 12-JUL,1991 21:50 "
   ))

(AXIOMS.INFIX    ((* AXIOMS *)
   (* RING *)
   (ALL |X,Y,Z| + (+ (X Y) Z) = + (X + (Y Z)))
   (ALL X + (0 X) = X)
   (ALL X + (- (X) X) = 0)
   (ALL |X,Y,Z| * (* (X Y) Z) = * (X * (Y Z)))
   (ALL |X,Y,Z| * (X + (Y Z)) = + (* (X Y) * (X Z)))
   (ALL |X,Y,Z| * (+ (Y Z) X) = + (* (Y X) * (Z X)))
   (* WITH ONE *)
   (ALL X * (1 X) = X)
   (ALL X * (X 1) = X)
   (* ZERO DIVISOR FREE *)
   (ALL |X,Y| * (X Y) = 0 IMPL X = 0 OR Y = 0)))

(THEOREMS.INFIX ((* THEOREM *)
   (* ZEROS *)
   (ALL X + (* (X X) - (1)) = 0 IMPL X = 1 OR X = - (1))))

(AXIOMS.PREFIX   (COMMENT
   COMMENT
   (ALL 5 (ALL 4 (ALL 3 (+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5))) NIL))))
   (ALL 7 (+ 2 ((6 8 7) 7) NIL))
   (ALL 9 (+ 2 ((6 (10 9) 9) 8) NIL))
   (ALL 13 (ALL 12 (ALL 11 (+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13))) NIL))))
   (ALL 17 (ALL 16 (ALL 15 (+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17))) NIL))))
   (ALL 20 (ALL 19 (ALL 18 (+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18))) NIL))))
   COMMENT
   (ALL 21 (+ 2 ((14 22 21) 21) NIL))
   (ALL 23 (+ 2 ((14 23 22) 23) NIL))
   COMMENT
   (ALL 25 (ALL 24 (IMPL (+ 2 ((14 24 25) 8) NIL) (OR (+ 2 (24 8) NIL) (+ 2 (25 8) NIL)))))))

(THEOREMS.PREFIX (COMMENT
   COMMENT
   (ALL 26 (IMPL (+ 2 ((6 (14 26 26) (10 22)) 8) NIL) (OR (+ 2 (26 22) NIL) (+ 2 (26 (10 22)) NIL))))))

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . PARTIAL)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . PARTIAL)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . KAPUR-ZHANG)
    (ER_COMPLETION . FAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING EXP * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 4)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )

(LINK.COLOURS (R RIW RD S SI SIW SID T TI TIW P PIW PD RIWD))

(AXIOMS (START.TIME 77177928)
   (PARTIAL   (CLAUSE 29 R.= AXIOM ((27 . ANY)) ((+ 2 (27 27)) ))(CLAUSE 33 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) )))
   (PARTIAL   (CLAUSE 40 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) )))
   (PARTIAL   (CLAUSE 44 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) )))
   (PARTIAL   (CLAUSE 50 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) )))
   (PARTIAL   (CLAUSE 56 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) )))
   (PARTIAL   (CLAUSE 67 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) )))
   (PARTIAL   (CLAUSE 76 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) )))
   (PARTIAL   (CLAUSE 82 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) )))
   (PARTIAL   (CLAUSE 94 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) )))
   (END.TIME 77188916)
   (FINAL 29 33 40 44 50 56 67 76 82 94)
   (SYMBOLS 
   (LET (NEW.ADDRESS)
   (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
   (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (CONS   22 (DT-CONSTANT.CREATE "1" 'ANY))
   (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
   (CONS   14 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
   (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
   (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
   (RESULT))

(THEOREMS (SPLITPART.IDENTIFIER 1)
   (START.TIME 77189069)
   (PARTIAL   (CLAUSE 26 T10 THEOREM () ((+ 2 ((6 (14 116 116) (10 22)) 8)) )))
   (PARTIAL   (CLAUSE 123 T11 THEOREM () ((- 2 (116 22)) )))
   (PARTIAL   (CLAUSE 124 T12 THEOREM () ((- 2 (116 (10 22))) )))
   (INITIAL   (CLAUSE 29 R.= AXIOM ((27 . ANY)) ((+ 2 (27 27)) ))
(CLAUSE 33 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 40 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 44 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 50 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) ))
(CLAUSE 56 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) ))
(CLAUSE 67 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) ))
(CLAUSE 76 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) ))
(CLAUSE 82 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) ))
(CLAUSE 94 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) ))
(CLAUSE 26 T10 THEOREM () ((+ 2 ((6 (14 116 116) (10 22)) 8)) ))
(CLAUSE 123 T11 THEOREM () ((- 2 (116 22)) ))
(CLAUSE 124 T12 THEOREM () ((- 2 (116 (10 22))) ))   )
   (END.TIME 77328431)
   (FINAL 29 33 40 44 50 56 67 76 82 94 26 123 124)
   (SYMBOLS 
   (LET (NEW.ADDRESS)
   (LIST (PROG1 (CONS    2 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "=" '(ANY ANY))))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED SYMMETRIC REFLEXIVE)))
   (PROG1 (CONS    1 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "FALSE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (PROG1 (CONS    0 (SETQ NEW.ADDRESS (DT-PREDICATE.CREATE "TRUE" 'NIL)))
   (DT-PREDICATE.ADD.ATTRIBUTES NEW.ADDRESS '(DEFINED)))
   (CONS  116 (DT-CONSTANT.CREATE "c_1" 'ANY))
   (CONS   22 (DT-CONSTANT.CREATE "1" 'ANY))
   (CONS    8 (DT-CONSTANT.CREATE "0" 'ANY))
   (CONS   14 (DT-FUNCTION.CREATE "*" 'ANY '(ANY ANY) 'NIL))
   (CONS   10 (DT-FUNCTION.CREATE "-" 'ANY '(ANY) 'NIL))
   (CONS    6 (DT-FUNCTION.CREATE "+" 'ANY '(ANY ANY) 'NIL)))))
   (RESULT))
(indices ((124 14) (123 13) (26 12) (94 9 10 11) (82 8) (76 7) (67 6) (56 5) (50 4) (44 3) (40 2) (33 1) (29 NIL)))

(SPLITPARTS "Genera 8.0.1 Logical Pathnames Translation Files NEWEST IP-TCP 422.2 RPC 415.0 Embedding Support 407.0 UX Support 416.0 KKL 19.2 HADES 14.21 Waltz 6.0 COLUMN 6.0 Experimental MKRP 48.5" "17-JUL,1991 18:35" NIL)

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . PARTIAL)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . PARTIAL)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . KAPUR-ZHANG)
    (ER_COMPLETION . FAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING EXP * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 4)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )

(REFUTATION (START.TIME 77330984)

(OPTIONS (TWO_RULES)
    (TWO_RULES.MAXLEVEL . 1)
    (TWO_SUPPRESS.NORULES)
    (RED.I_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.I_CLAUSE.PURITY . PARTIAL)
    (RED.I_CLAUSE.TAUTOLOGY . T)
    (RED.I_CLAUSE.TAUTOLOGY.RECHECK . PARTIAL)
    (RED.I_CLAUSE.SUBSUMPTION . T)
    (RED.I_CLAUSE.SUBSUMPTION.RECHECK . PARTIAL)
    (RED.I_CLAUSE.REPL.FACTORING . T)
    (RED.I_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.I_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.I_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.I_CLAUSE.REWRITING . DEM)
    (RED.I_LINK.INCOMPATIBILITY . T)
    (RED.I_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.I_LINK.TAUTOLOGY.RECHECK)
    (RED.I_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.I_LINK.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.MULTIPLE.LITERALS . T)
    (RED.D_CLAUSE.PURITY . PARTIAL)
    (RED.D_CLAUSE.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_CLAUSE.TAUTOLOGY.RECHECK)
    (RED.D_CLAUSE.SUBSUMPTION.FORWARD . REMOVE-INHIBIT)
    (RED.D_CLAUSE.SUBSUMPTION.BACKWARD . REMOVE)
    (RED.D_CLAUSE.SUBSUMPTION.RECHECK)
    (RED.D_CLAUSE.REPL.FACTORING . T)
    (RED.D_CLAUSE.REPL.FACTORING.RECHECK . T)
    (RED.D_CLAUSE.REPL.RESOLUTION . SIMPLE)
    (RED.D_CLAUSE.REPL.RESOLUTION.RECHECK . T)
    (RED.D_CLAUSE.REWRITING . DEM)
    (RED.D_LINK.INCOMPATIBILITY . T)
    (RED.D_LINK.TAUTOLOGY . REMOVE-INHIBIT)
    (RED.D_LINK.TAUTOLOGY.RECHECK)
    (RED.D_LINK.SUBSUMPTION . REMOVE-INHIBIT)
    (RED.D_LINK.SUBSUMPTION.RECHECK)
    (FAC_INITIAL)
    (FAC_EACH.STEP)
    (STR_RESOLUTION . SET-OF-SUPPORT)
    (STR_PAR-RES . 10)
    (STR_E-RESOLUTION)
    (STR_LINK.DEPTH)
    (STR_TERM.DEPTH)
    (STR_R.DEMODULATION . T)
    (STR_P.DEMODULATION . T)
    (STR_INDUCTION)
    (STR_FINITE.DOMAIN . T)
    (STR_SORT.LITERALS)
    (TERM_UNITS . T)
    (TERM_ITERATIONS . 0)
    (TERM_SET.OF.SUPPORT)
    (TERM_BREADTH.FIRST)
    (ER_PARAMODULATION . KAPUR-ZHANG)
    (ER_COMPLETION . FAILING)
    (ER_CP.REDUCTION . T)
    (ER_ORDERING . LEXICOGRAPHIC-RECURSIVE-PATH)
    (ER_OPERATOR.ORDERING EXP * - + 0 1)
    (ER_KNUTH.BENDIX.WEIGHT (+ 1) (* 1) (- 0) (0 1) (1 1))
    (ER_POLYNOMIAL.VARIABLES X Y Z U V W)
    (ER_POLYNOMIAL.WEIGHT (+ (+ X (* 2 Y))) (* (+ X (* X Y))) (- (+ (* 2 X) -1)) (0 2) (1 2))
    (ER_LINK.DEPTH.WEIGHT . 0)
    (ER_UNIT.FOCUS . 0)
    (ER_UNIT.FOCUS.WEIGHT . 1)
    (ER_EQUATION.FOCUS . 2)
    (ER_NARROW.DEPTH . 4)
    (ER_NARROW.NEXT . DEPTH)
    (ER_NARROW.TEST NORM C DELTA SL N)
    (ER_NARROW.LIMIT.FACTOR . 0)
    (ER_COMPILE)
    (GEN_SPLITTING . 0)
    (GEN_PRESIMPLIFICATION . T)
    (GEN_MIN.EXPRESSION.LENGTH.FOR.FILE)
    (GEN_MIN.EXPRESSION.SIZE.FOR.FILE)
    (GEN_MANUAL.CONTROL)
    (GEN_MAXIMUM.STEPS)
    (GEN_GRAPH.SAVING)
    (GEN_SAVE.FILE . SAVEDEFAULT)
    (GEN_LISP.GARBAGE.COLLECTION)
    (GEN_COMMON.LISP)
    (TR_PREPROCESSING)
    (TR_STEP.MODE . LR)
    (TR_DUMP)
    (TR_CLAUSE.MODE . I)
    (TR_LINK.MODE . I)
    (TR_TRACE.FILE)
    (TR_TERMINAL . T)
    (PR_LATEX)
    (PR_INFIX.FORM . T)
    (PR_PREFIX.FORM)
    (PR_OPTIONS)
    (PR_AXIOM.CLAUSES . T)
    (PR_SYMBOLS)
    (PR_DIRECT.PROOF . T)
    (PR_VARIABLE.PRINT.NAMES X Y Z U V W XX YY ZZ UU VV WW XXX YYY ZZZ UUU VVV WWW)
    (PR_STATISTICS)
    (PR_PROTOCOL . T)
    (PR_LEFT.MARGIN . 3)
    (PR_RIGHT.MARGIN . 117)
    (PR_LINELENGTH . 114)
    (PR_LITERALS)
   )
   (INITIAL   (CLAUSE 29 R.= AXIOM ((27 . ANY)) ((+ 2 (27 27)) ))
(CLAUSE 33 A1 AXIOM ((5 . ANY)(4 . ANY)(3 . ANY)) ((+ 2 ((6 (6 3 4) 5) (6 3 (6 4 5)))) ))
(CLAUSE 40 A2 AXIOM ((7 . ANY)) ((+ 2 ((6 8 7) 7)) ))
(CLAUSE 44 A3 AXIOM ((9 . ANY)) ((+ 2 ((6 (10 9) 9) 8)) ))
(CLAUSE 50 A4 AXIOM ((13 . ANY)(12 . ANY)(11 . ANY)) ((+ 2 ((14 (14 11 12) 13) (14 11 (14 12 13)))) ))
(CLAUSE 56 A5 AXIOM ((17 . ANY)(16 . ANY)(15 . ANY)) ((+ 2 ((14 15 (6 16 17)) (6 (14 15 16) (14 15 17)))) ))
(CLAUSE 67 A6 AXIOM ((18 . ANY)(20 . ANY)(19 . ANY)) ((+ 2 ((14 (6 19 20) 18) (6 (14 19 18) (14 20 18)))) ))
(CLAUSE 76 A7 AXIOM ((21 . ANY)) ((+ 2 ((14 22 21) 21)) ))
(CLAUSE 82 A8 AXIOM ((23 . ANY)) ((+ 2 ((14 23 22) 23)) ))
(CLAUSE 94 A9 AXIOM ((25 . ANY)(24 . ANY))
   ((- 2 ((14 24 25) 8)) (+ 2 (24 8)) (+ 2 (25 8)) ))
(CLAUSE 26 T10 THEOREM () ((+ 2 ((6 (14 116 116) (10 22)) 8)) ))
(CLAUSE 123 T11 THEOREM () ((- 2 (116 22)) ))
(CLAUSE 124 T12 THEOREM () ((- 2 (116 (10 22))) ))   )
   (OPERATION (CLAUSE 58 P1 (33 44) ((112 . ANY)(96 . ANY)) ((+ 2 ((6 8 96) (6 (10 112) (6 112 96)))) ))
   (PARAMODULATION 44 1 (1) 33 1 (1 1) NIL (3 (10 4) 9 4) 58))
   (OPERATION (CLAUSE 58 P1 (33 44) ((112 . ANY)(96 . ANY)) ((+ 2 (96 (6 (10 112) (6 112 96)))) ))
   (REWRITE 40 1 58))
   (OPERATION (CLAUSE 311 P2 (58 40) ((86 . ANY)) ((+ 2 (86 (6 (10 8) 86))) ))
   (PARAMODULATION 40 1 (1) 58 1 (2 2) NIL (112 8 7 96) 311))
   (OPERATION (CLAUSE 316 P3 (58 44) ((321 . ANY)) ((+ 2 (321 (6 (10 (10 321)) 8))) ))
   (PARAMODULATION 44 1 (1) 58 1 (2 2) NIL (112 (10 96) 9 96) 316))
   (OPERATION (CLAUSE 375 P4 (58 311) ((373 . ANY)) ((+ 2 (373 (6 (10 (10 8)) 373))) ))
   (PARAMODULATION 311 1 (2) 58 1 (2 2) NIL (112 (10 8) 86 96) 375))
   (OPERATION (CLAUSE 386 P5 (44 375) () ((+ 2 ((10 8) 8)) ))
   (PARAMODULATION 375 1 (2) 44 1 (1) NIL (9 (10 8) 373 (10 8)) 386))
   (OPERATION (CLAUSE 311 P2 (58 40) ((86 . ANY)) ((+ 2 (86 (6 8 86))) ))
   (REWRITE 386 1 311))
   (OPERATION (CLAUSE 311 P2 (58 40) ((86 . ANY)) ((+ 2 (86 86)) ))
   (REWRITE 40 1 311))
   (OPERATION (CLAUSE 375 P4 (58 311) ((373 . ANY)) ((+ 2 (373 (6 (10 8) 373))) ))
   (REWRITE 386 1 375))
   (OPERATION (CLAUSE 375 P4 (58 311) ((373 . ANY)) ((+ 2 (373 (6 8 373))) ))
   (REWRITE 386 1 375))
   (OPERATION (CLAUSE 375 P4 (58 311) ((373 . ANY)) ((+ 2 (373 373)) ))
   (REWRITE 40 1 375))
   (OPERATION (CLAUSE 378 P6 (58 316) ((431 . ANY)) ((+ 2 (8 (6 (10 (10 (10 431))) 431))) ))
   (PARAMODULATION 316 1 (2) 58 1 (2 2) NIL (112 (10 (10 321)) 96 8) 378))
   (OPERATION (CLAUSE 382 P7 (58 378) ((388 . ANY)) ((+ 2 (388 (6 (10 (10 (10 (10 388)))) 8))) ))
   (PARAMODULATION 378 1 (2) 58 1 (2 2) NIL (112 (10 (10 (10 96))) 431 96) 382))
   (OPERATION (CLAUSE 382 P7 (58 378) ((388 . ANY)) ((+ 2 (388 (10 (10 388)))) ))
   (REWRITE 316 1 382))
   (OPERATION (CLAUSE 316 P3 (58 44) ((321 . ANY)) ((+ 2 (321 (6 321 8))) ))
   (REWRITE 382 1 316))
   (OPERATION (CLAUSE 378 P6 (58 316) ((431 . ANY)) ((+ 2 (8 (6 (10 431) 431))) ))
   (REWRITE 382 1 378))
   (OPERATION (CLAUSE 378 P6 (58 316) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 378))
   (OPERATION (CLAUSE 484 P8 (44 382) ((489 . ANY)) ((+ 2 ((6 489 (10 489)) 8)) ))
   (PARAMODULATION 382 1 (2) 44 1 (1 1) NIL (9 (10 388)) 484))
   (OPERATION (CLAUSE 490 P9 (58 382) ((449 . ANY)(317 . ANY)) ((+ 2 (317 (6 449 (6 (10 449) 317)))) ))
   (PARAMODULATION 382 1 (2) 58 1 (2 1) NIL (112 (10 388)) 490))
   (OPERATION (CLAUSE 585 P10 (58 26) () ((+ 2 ((10 22) (6 (10 (14 116 116)) 8))) ))
   (PARAMODULATION 26 1 (1) 58 1 (2 2) NIL (112 (14 116 116) 96 (10 22)) 585))
   (OPERATION (CLAUSE 585 P10 (58 26) () ((+ 2 ((10 22) (10 (14 116 116)))) ))
   (REWRITE 316 1 585))
   (OPERATION (CLAUSE 581 P11 (382 585) () ((+ 2 ((14 116 116) (10 (10 22)))) ))
   (PARAMODULATION 585 1 (2) 382 1 (2 1) NIL (388 (14 116 116)) 581))
   (OPERATION (CLAUSE 581 P11 (382 585) () ((+ 2 ((14 116 116) 22)) ))
   (REWRITE 382 1 581))
   (OPERATION (CLAUSE 26 T10 THEOREM () ((+ 2 ((6 22 (10 22)) 8)) ))
   (REWRITE 581 1 26))
   (OPERATION (CLAUSE 26 T10 THEOREM () ((+ 2 (8 8)) ))
   (REWRITE 484 1 26))
   (OPERATION (CLAUSE 585 P10 (58 26) () ((+ 2 ((10 22) (10 22))) ))
   (REWRITE 581 1 585))
   (OPERATION (CLAUSE 650 P12 (50 581) ((658 . ANY)) ((+ 2 ((14 22 658) (14 116 (14 116 658)))) ))
   (PARAMODULATION 581 1 (1) 50 1 (1 1) NIL (11 116 12 116) 650))
   (OPERATION (CLAUSE 650 P12 (50 581) ((658 . ANY)) ((+ 2 (658 (14 116 (14 116 658)))) ))
   (REWRITE 76 1 650))
   (OPERATION (CLAUSE 583 R1 (94 650) ()
   ((+ 2 (116 8)) (+ 2 ((14 116 8) 8)) ))
   (RESOLUTION 650 1 94 1 SYMMETRIC (24 116 25 (14 116 8) 658 8) 583))
   (OPERATION (CLAUSE 695 P13 (33 484) ((684 . ANY)(683 . ANY)) ((+ 2 (8 (6 683 (6 684 (10 (6 683 684)))))) ))
   (PARAMODULATION 484 1 (1) 33 1 (1) NIL (489 (6 3 4) 5 (10 (6 3 4))) 695))
   (OPERATION (CLAUSE 713 P14 (58 695) ((717 . ANY)(481 . ANY)) ((+ 2 ((6 481 (10 (6 717 481))) (6 (10 717) 8))) ))
   (PARAMODULATION 695 1 (2) 58 1 (2 2) NIL (683 112 96 (6 684 (10 (6 112 684)))) 713))
   (OPERATION (CLAUSE 713 P14 (58 695) ((717 . ANY)(481 . ANY)) ((+ 2 ((6 481 (10 (6 717 481))) (10 717))) ))
   (REWRITE 316 1 713))
   (OPERATION (CLAUSE 695 P13 (33 484) ((683 . ANY)) ((+ 2 (8 (6 683 (10 683)))) ))
   (REWRITE 713 1 695))
   (OPERATION (CLAUSE 695 P13 (33 484) () ((+ 2 (8 8)) ))
   (REWRITE 484 1 695))
   (OPERATION (CLAUSE 696 P15 (713 713) ((685 . ANY)(694 . ANY)) ((+ 2 ((6 (10 (6 694 685)) (10 (10 694))) (10 685))) ))
   (PARAMODULATION 713 1 (1) 713 1 (1 2 1) NIL (714 717 481 (10 (6 715 717))) 696))
   (OPERATION (CLAUSE 696 P15 (713 713) ((685 . ANY)(694 . ANY)) ((+ 2 ((6 (10 (6 694 685)) 694) (10 685))) ))
   (REWRITE 382 1 696))
   (OPERATION (CLAUSE 710 P16 (56 316) ((698 . ANY)(699 . ANY)) ((+ 2 ((14 699 698) (6 (14 699 698) (14 699 8)))) ))
   (PARAMODULATION 316 1 (2) 56 1 (1 2) NIL (321 16 17 8) 710))
   (OPERATION (CLAUSE 978 P17 (58 710) ((487 . ANY)(975 . ANY)) ((+ 2 ((14 975 8) (6 (10 (14 975 487)) (14 975 487)))) ))
   (PARAMODULATION 710 1 (2) 58 1 (2 2) NIL (112 (14 699 698) 96 (14 699 8)) 978))
   (OPERATION (CLAUSE 978 P17 (58 710) ((975 . ANY)) ((+ 2 ((14 975 8) 8)) ))
   (REWRITE 44 1 978))
   (OPERATION (CLAUSE 710 P16 (56 316) ((698 . ANY)(699 . ANY)) ((+ 2 ((14 699 698) (6 (14 699 698) 8))) ))
   (REWRITE 978 1 710))
   (OPERATION (CLAUSE 710 P16 (56 316) ((698 . ANY)(699 . ANY)) ((+ 2 ((14 699 698) (14 699 698))) ))
   (REWRITE 316 1 710))
   (OPERATION (CLAUSE 648 P18 (50 978) ((681 . ANY)(970 . ANY)) ((+ 2 ((14 8 970) (14 681 (14 8 970)))) ))
   (PARAMODULATION 978 1 (1) 50 1 (1 1) NIL (975 11 12 8) 648))
   (OPERATION (CLAUSE 977 P19 (56 44) ((1064 . ANY)(969 . ANY)) ((+ 2 ((14 969 8) (6 (14 969 (10 1064)) (14 969 1064)))) ))
   (PARAMODULATION 44 1 (1) 56 1 (1 2) NIL (16 (10 17) 9 17) 977))
   (OPERATION (CLAUSE 977 P19 (56 44) ((1064 . ANY)(969 . ANY)) ((+ 2 (8 (6 (14 969 (10 1064)) (14 969 1064)))) ))
   (REWRITE 978 1 977))
   (OPERATION (CLAUSE 1159 P20 (977 581) () ((+ 2 (8 (6 (14 116 (10 116)) 22))) ))
   (PARAMODULATION 581 1 (1) 977 1 (2 2) NIL (969 116 1064 116) 1159))
   (OPERATION (CLAUSE 1269 P21 (58 1159) () ((+ 2 (22 (6 (10 (14 116 (10 116))) 8))) ))
   (PARAMODULATION 1159 1 (2) 58 1 (2 2) NIL (112 (14 116 (10 116)) 96 22) 1269))
   (OPERATION (CLAUSE 1269 P21 (58 1159) () ((+ 2 (22 (10 (14 116 (10 116))))) ))
   (REWRITE 316 1 1269))
   (OPERATION (CLAUSE 1250 P22 (696 1159) () ((+ 2 ((6 (10 8) (14 116 (10 116))) (10 22))) ))
   (PARAMODULATION 1159 1 (2) 696 1 (1 1 1) NIL (694 (14 116 (10 116)) 685 22) 1250))
   (OPERATION (CLAUSE 1250 P22 (696 1159) () ((+ 2 ((6 8 (14 116 (10 116))) (10 22))) ))
   (REWRITE 386 1 1250))
   (OPERATION (CLAUSE 1250 P22 (696 1159) () ((+ 2 ((14 116 (10 116)) (10 22))) ))
   (REWRITE 40 1 1250))
   (OPERATION (CLAUSE 1159 P20 (977 581) () ((+ 2 (8 (6 (10 22) 22))) ))
   (REWRITE 1250 1 1159))
   (OPERATION (CLAUSE 1159 P20 (977 581) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 1159))
   (OPERATION (CLAUSE 1269 P21 (58 1159) () ((+ 2 (22 (10 (10 22)))) ))
   (REWRITE 1250 1 1269))
   (OPERATION (CLAUSE 1269 P21 (58 1159) () ((+ 2 (22 22)) ))
   (REWRITE 382 1 1269))
   (OPERATION (CLAUSE 1153 P23 (650 1250) () ((+ 2 ((10 116) (14 116 (10 22)))) ))
   (PARAMODULATION 1250 1 (1) 650 1 (2 2) NIL (658 (10 116)) 1153))
   (OPERATION (CLAUSE 1167 P24 (977 82) ((1248 . ANY)) ((+ 2 (8 (6 (14 1248 (10 22)) 1248))) ))
   (PARAMODULATION 82 1 (1) 977 1 (2 2) NIL (23 969 1064 22) 1167))
   (OPERATION (CLAUSE 1316 P25 (316 1167) () ((+ 2 ((14 8 (10 22)) 8)) ))
   (PARAMODULATION 1167 1 (2) 316 1 (2) NIL (321 (14 8 (10 22)) 1248 8) 1316))
   (OPERATION (CLAUSE 1363 P26 (58 1167) ((1365 . ANY)) ((+ 2 (1365 (6 (10 (14 1365 (10 22))) 8))) ))
   (PARAMODULATION 1167 1 (2) 58 1 (2 2) NIL (112 (14 96 (10 22)) 1248 96) 1363))
   (OPERATION (CLAUSE 1363 P26 (58 1167) ((1365 . ANY)) ((+ 2 (1365 (10 (14 1365 (10 22))))) ))
   (REWRITE 316 1 1363))
   (OPERATION (CLAUSE 1385 P27 (696 1167) ((1390 . ANY)) ((+ 2 ((6 (10 8) (14 1390 (10 22))) (10 1390))) ))
   (PARAMODULATION 1167 1 (2) 696 1 (1 1 1) NIL (694 (14 685 (10 22)) 1248 685) 1385))
   (OPERATION (CLAUSE 1385 P27 (696 1167) ((1390 . ANY)) ((+ 2 ((6 8 (14 1390 (10 22))) (10 1390))) ))
   (REWRITE 386 1 1385))
   (OPERATION (CLAUSE 1385 P27 (696 1167) ((1390 . ANY)) ((+ 2 ((14 1390 (10 22)) (10 1390))) ))
   (REWRITE 40 1 1385))
   (OPERATION (CLAUSE 1167 P24 (977 82) ((1248 . ANY)) ((+ 2 (8 (6 (10 1248) 1248))) ))
   (REWRITE 1385 1 1167))
   (OPERATION (CLAUSE 1167 P24 (977 82) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 1167))
   (OPERATION (CLAUSE 1316 P25 (316 1167) () ((+ 2 ((10 8) 8)) ))
   (REWRITE 1385 1 1316))
   (OPERATION (CLAUSE 1316 P25 (316 1167) () ((+ 2 (8 8)) ))
   (REWRITE 386 1 1316))
   (OPERATION (CLAUSE 1363 P26 (58 1167) ((1365 . ANY)) ((+ 2 (1365 (10 (10 1365)))) ))
   (REWRITE 1385 1 1363))
   (OPERATION (CLAUSE 1363 P26 (58 1167) ((1365 . ANY)) ((+ 2 (1365 1365)) ))
   (REWRITE 382 1 1363))
   (OPERATION (CLAUSE 1359 P28 (58 977) ((1291 . ANY)(1489 . ANY)) ((+ 2 ((14 1489 1291) (6 (10 (14 1489 (10 1291))) 8))) ))
   (PARAMODULATION 977 1 (2) 58 1 (2 2) NIL (112 (14 969 (10 1064)) 96 (14 969 1064)) 1359))
   (OPERATION (CLAUSE 1359 P28 (58 977) ((1291 . ANY)(1489 . ANY)) ((+ 2 ((14 1489 1291) (10 (14 1489 (10 1291))))) ))
   (REWRITE 316 1 1359))
   (OPERATION (CLAUSE 1151 P29 (696 977) ((967 . ANY)(1309 . ANY)) ((+ 2 ((6 (10 8) (14 1309 (10 967))) (10 (14 1309 967)))) ))
   (PARAMODULATION 977 1 (2) 696 1 (1 1 1) NIL (694 (14 969 (10 1064)) 685 (14 969 1064)) 1151))
   (OPERATION (CLAUSE 1151 P29 (696 977) ((967 . ANY)(1309 . ANY)) ((+ 2 ((6 8 (14 1309 (10 967))) (10 (14 1309 967)))) ))
   (REWRITE 386 1 1151))
   (OPERATION (CLAUSE 1151 P29 (696 977) ((967 . ANY)(1309 . ANY)) ((+ 2 ((14 1309 (10 967)) (10 (14 1309 967)))) ))
   (REWRITE 40 1 1151))
   (OPERATION (CLAUSE 977 P19 (56 44) ((1064 . ANY)(969 . ANY)) ((+ 2 (8 (6 (10 (14 969 1064)) (14 969 1064)))) ))
   (REWRITE 1151 1 977))
   (OPERATION (CLAUSE 977 P19 (56 44) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 977))
   (OPERATION (CLAUSE 1250 P22 (696 1159) () ((+ 2 ((10 (14 116 116)) (10 22))) ))
   (REWRITE 1151 1 1250))
   (OPERATION (CLAUSE 1250 P22 (696 1159) () ((+ 2 ((10 22) (10 22))) ))
   (REWRITE 581 1 1250))
   (OPERATION (CLAUSE 1385 P27 (696 1167) ((1390 . ANY)) ((+ 2 ((10 (14 1390 22)) (10 1390))) ))
   (REWRITE 1151 1 1385))
   (OPERATION (CLAUSE 1385 P27 (696 1167) ((1390 . ANY)) ((+ 2 ((10 1390) (10 1390))) ))
   (REWRITE 82 1 1385))
   (OPERATION (CLAUSE 1359 P28 (58 977) ((1291 . ANY)(1489 . ANY)) ((+ 2 ((14 1489 1291) (10 (10 (14 1489 1291))))) ))
   (REWRITE 1151 1 1359))
   (OPERATION (CLAUSE 1359 P28 (58 977) ((1291 . ANY)(1489 . ANY)) ((+ 2 ((14 1489 1291) (14 1489 1291))) ))
   (REWRITE 382 1 1359))
   (OPERATION (CLAUSE 1152 P30 (67 316) ((973 . ANY)(682 . ANY)) ((+ 2 ((14 682 973) (6 (14 682 973) (14 8 973)))) ))
   (PARAMODULATION 316 1 (2) 67 1 (1 1) NIL (321 19 20 8) 1152))
   (OPERATION (CLAUSE 1156 P31 (58 1152) ((1529 . ANY)(488 . ANY)) ((+ 2 ((14 8 488) (6 (10 (14 1529 488)) (14 1529 488)))) ))
   (PARAMODULATION 1152 1 (2) 58 1 (2 2) NIL (112 (14 682 973) 96 (14 8 973)) 1156))
   (OPERATION (CLAUSE 1156 P31 (58 1152) ((488 . ANY)) ((+ 2 ((14 8 488) 8)) ))
   (REWRITE 44 1 1156))
   (OPERATION (CLAUSE 648 P18 (50 978) ((970 . ANY)(681 . ANY)) ((+ 2 (8 (14 681 (14 8 970)))) ))
   (REWRITE 1156 1 648))
   (OPERATION (CLAUSE 648 P18 (50 978) ((681 . ANY)) ((+ 2 (8 (14 681 8))) ))
   (REWRITE 1156 1 648))
   (OPERATION (CLAUSE 648 P18 (50 978) () ((+ 2 (8 8)) ))
   (REWRITE 978 1 648))
   (OPERATION (CLAUSE 1152 P30 (67 316) ((973 . ANY)(682 . ANY)) ((+ 2 ((14 682 973) (6 (14 682 973) 8))) ))
   (REWRITE 1156 1 1152))
   (OPERATION (CLAUSE 1152 P30 (67 316) ((973 . ANY)(682 . ANY)) ((+ 2 ((14 682 973) (14 682 973))) ))
   (REWRITE 316 1 1152))
   (OPERATION (CLAUSE 1674 P32 (67 44) ((659 . ANY)(1158 . ANY)) ((+ 2 ((14 8 1158) (6 (14 (10 659) 1158) (14 659 1158)))) ))
   (PARAMODULATION 44 1 (1) 67 1 (1 1) NIL (19 (10 20) 9 20) 1674))
   (OPERATION (CLAUSE 1674 P32 (67 44) ((1158 . ANY)(659 . ANY)) ((+ 2 (8 (6 (14 (10 659) 1158) (14 659 1158)))) ))
   (REWRITE 1156 1 1674))
   (OPERATION (CLAUSE 1681 P33 (1674 581) () ((+ 2 (8 (6 (14 (10 116) 116) 22))) ))
   (PARAMODULATION 581 1 (1) 1674 1 (2 2) NIL (659 116 1158 116) 1681))
   (OPERATION (CLAUSE 1835 P34 (58 1681) () ((+ 2 (22 (6 (10 (14 (10 116) 116)) 8))) ))
   (PARAMODULATION 1681 1 (2) 58 1 (2 2) NIL (112 (14 (10 116) 116) 96 22) 1835))
   (OPERATION (CLAUSE 1835 P34 (58 1681) () ((+ 2 (22 (10 (14 (10 116) 116)))) ))
   (REWRITE 316 1 1835))
   (OPERATION (CLAUSE 1816 P35 (696 1681) () ((+ 2 ((6 (10 8) (14 (10 116) 116)) (10 22))) ))
   (PARAMODULATION 1681 1 (2) 696 1 (1 1 1) NIL (694 (14 (10 116) 116) 685 22) 1816))
   (OPERATION (CLAUSE 1816 P35 (696 1681) () ((+ 2 ((6 8 (14 (10 116) 116)) (10 22))) ))
   (REWRITE 386 1 1816))
   (OPERATION (CLAUSE 1816 P35 (696 1681) () ((+ 2 ((14 (10 116) 116) (10 22))) ))
   (REWRITE 40 1 1816))
   (OPERATION (CLAUSE 1681 P33 (1674 581) () ((+ 2 (8 (6 (10 22) 22))) ))
   (REWRITE 1816 1 1681))
   (OPERATION (CLAUSE 1681 P33 (1674 581) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 1681))
   (OPERATION (CLAUSE 1835 P34 (58 1681) () ((+ 2 (22 (10 (10 22)))) ))
   (REWRITE 1816 1 1835))
   (OPERATION (CLAUSE 1835 P34 (58 1681) () ((+ 2 (22 22)) ))
   (REWRITE 382 1 1835))
   (OPERATION (CLAUSE 1859 P36 (1674 76) ((1527 . ANY)) ((+ 2 (8 (6 (14 (10 22) 1527) 1527))) ))
   (PARAMODULATION 76 1 (1) 1674 1 (2 2) NIL (659 22 21 1158) 1859))
   (OPERATION (CLAUSE 1840 P37 (58 1859) ((1857 . ANY)) ((+ 2 (1857 (6 (10 (14 (10 22) 1857)) 8))) ))
   (PARAMODULATION 1859 1 (2) 58 1 (2 2) NIL (112 (14 (10 22) 96) 1527 96) 1840))
   (OPERATION (CLAUSE 1840 P37 (58 1859) ((1857 . ANY)) ((+ 2 (1857 (10 (14 (10 22) 1857)))) ))
   (REWRITE 316 1 1840))
   (OPERATION (CLAUSE 1913 P38 (696 1859) ((1919 . ANY)) ((+ 2 ((6 (10 8) (14 (10 22) 1919)) (10 1919))) ))
   (PARAMODULATION 1859 1 (2) 696 1 (1 1 1) NIL (694 (14 (10 22) 685) 1527 685) 1913))
   (OPERATION (CLAUSE 1913 P38 (696 1859) ((1919 . ANY)) ((+ 2 ((6 8 (14 (10 22) 1919)) (10 1919))) ))
   (REWRITE 386 1 1913))
   (OPERATION (CLAUSE 1913 P38 (696 1859) ((1919 . ANY)) ((+ 2 ((14 (10 22) 1919) (10 1919))) ))
   (REWRITE 40 1 1913))
   (OPERATION (CLAUSE 1859 P36 (1674 76) ((1527 . ANY)) ((+ 2 (8 (6 (10 1527) 1527))) ))
   (REWRITE 1913 1 1859))
   (OPERATION (CLAUSE 1859 P36 (1674 76) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 1859))
   (OPERATION (CLAUSE 1840 P37 (58 1859) ((1857 . ANY)) ((+ 2 (1857 (10 (10 1857)))) ))
   (REWRITE 1913 1 1840))
   (OPERATION (CLAUSE 1840 P37 (58 1859) ((1857 . ANY)) ((+ 2 (1857 1857)) ))
   (REWRITE 382 1 1840))
   (OPERATION (CLAUSE 1837 P39 (58 1674) ((1817 . ANY)(2006 . ANY)) ((+ 2 ((14 2006 1817) (6 (10 (14 (10 2006) 1817)) 8))) ))
   (PARAMODULATION 1674 1 (2) 58 1 (2 2) NIL (112 (14 (10 659) 1158) 96 (14 659 1158)) 1837))
   (OPERATION (CLAUSE 1837 P39 (58 1674) ((1817 . ANY)(2006 . ANY)) ((+ 2 ((14 2006 1817) (10 (14 (10 2006) 1817)))) ))
   (REWRITE 316 1 1837))
   (OPERATION (CLAUSE 1915 P40 (696 1674) ((1532 . ANY)(1961 . ANY)) ((+ 2 ((6 (10 8) (14 (10 1961) 1532)) (10 (14 1961 1532)))) ))
   (PARAMODULATION 1674 1 (2) 696 1 (1 1 1) NIL (694 (14 (10 659) 1158) 685 (14 659 1158)) 1915))
   (OPERATION (CLAUSE 1915 P40 (696 1674) ((1532 . ANY)(1961 . ANY)) ((+ 2 ((6 8 (14 (10 1961) 1532)) (10 (14 1961 1532)))) ))
   (REWRITE 386 1 1915))
   (OPERATION (CLAUSE 1915 P40 (696 1674) ((1532 . ANY)(1961 . ANY)) ((+ 2 ((14 (10 1961) 1532) (10 (14 1961 1532)))) ))
   (REWRITE 40 1 1915))
   (OPERATION (CLAUSE 1674 P32 (67 44) ((1158 . ANY)(659 . ANY)) ((+ 2 (8 (6 (10 (14 659 1158)) (14 659 1158)))) ))
   (REWRITE 1915 1 1674))
   (OPERATION (CLAUSE 1674 P32 (67 44) () ((+ 2 (8 8)) ))
   (REWRITE 44 1 1674))
   (OPERATION (CLAUSE 1816 P35 (696 1681) () ((+ 2 ((10 (14 116 116)) (10 22))) ))
   (REWRITE 1915 1 1816))
   (OPERATION (CLAUSE 1816 P35 (696 1681) () ((+ 2 ((10 22) (10 22))) ))
   (REWRITE 581 1 1816))
   (OPERATION (CLAUSE 1913 P38 (696 1859) ((1919 . ANY)) ((+ 2 ((10 (14 22 1919)) (10 1919))) ))
   (REWRITE 1915 1 1913))
   (OPERATION (CLAUSE 1913 P38 (696 1859) ((1919 . ANY)) ((+ 2 ((10 1919) (10 1919))) ))
   (REWRITE 76 1 1913))
   (OPERATION (CLAUSE 1837 P39 (58 1674) ((1817 . ANY)(2006 . ANY)) ((+ 2 ((14 2006 1817) (10 (10 (14 2006 1817))))) ))
   (REWRITE 1915 1 1837))
   (OPERATION (CLAUSE 1837 P39 (58 1674) ((1817 . ANY)(2006 . ANY)) ((+ 2 ((14 2006 1817) (14 2006 1817))) ))
   (REWRITE 382 1 1837))
   (OPERATION (CLAUSE 1154 P41 (58 713) ((2146 . ANY)(1680 . ANY)) ((+ 2 ((10 (6 1680 2146)) (6 (10 2146) (10 1680)))) ))
   (PARAMODULATION 713 1 (1) 58 1 (2 2) NIL (481 112 96 (10 (6 717 112))) 1154))
   (OPERATION (CLAUSE 713 P14 (58 695) ((717 . ANY)(481 . ANY)) ((+ 2 ((6 481 (6 (10 481) (10 717))) (10 717))) ))
   (REWRITE 1154 1 713))
   (OPERATION (CLAUSE 713 P14 (58 695) ((717 . ANY)) ((+ 2 ((10 717) (10 717))) ))
   (REWRITE 490 1 713))
   (OPERATION (CLAUSE 696 P15 (713 713) ((694 . ANY)(685 . ANY)) ((+ 2 ((6 (6 (10 685) (10 694)) 694) (10 685))) ))
   (REWRITE 1154 1 696))
   (OPERATION (CLAUSE 696 P15 (713 713) ((694 . ANY)(685 . ANY)) ((+ 2 ((6 (10 685) (6 (10 694) 694)) (10 685))) ))
   (REWRITE 33 1 696))
   (OPERATION (CLAUSE 696 P15 (713 713) ((685 . ANY)) ((+ 2 ((6 (10 685) 8) (10 685))) ))
   (REWRITE 44 1 696))
   (OPERATION (CLAUSE 696 P15 (713 713) ((685 . ANY)) ((+ 2 ((10 685) (10 685))) ))
   (REWRITE 316 1 696))
   (OPERATION (CLAUSE 2184 P42 (94 581) ()
   ((- 2 (22 8)) (+ 2 (116 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 581 1 (1) 94 1 (1) NIL (24 116 25 116) 2184))
   (OPERATION (CLAUSE 2184 P42 (94 581) ()
   ((- 2 (22 8)) (+ 2 (116 8)) ))
   (DOUBLE.LITERAL 2 3 SYMMETRIC 2184))
   (OPERATION (CLAUSE 704 P43 (123 2184) ()
   ((- 2 (8 22)) (- 2 (22 8)) ))
   (PARAMODULATION 2184 2 (1) 123 1 (1) NIL NIL 704))
   (OPERATION (CLAUSE 704 P43 (123 2184) () ((- 2 (8 22)) ))
   (DOUBLE.LITERAL 1 2 SYMMETRIC 704))
   (OPERATION (CLAUSE 1287 P44 (67 1151) ((1964 . ANY)(703 . ANY)(1440 . ANY)) ((+ 2 ((10 (14 (6 1440 703) 1964)) (6 (14 1440 (10 1964)) (14 703 (10 1964))))) ))
   (PARAMODULATION 1151 1 (1) 67 1 (1) NIL (1309 (6 19 20) 18 (10 967)) 1287))
   (OPERATION (CLAUSE 1287 P44 (67 1151) ((1964 . ANY)(703 . ANY)(1440 . ANY)) ((+ 2 ((10 (14 (6 1440 703) 1964)) (6 (10 (14 1440 1964)) (14 703 (10 1964))))) ))
   (REWRITE 1151 1 1287))
   (OPERATION (CLAUSE 1287 P44 (67 1151) ((1964 . ANY)(703 . ANY)(1440 . ANY)) ((+ 2 ((10 (14 (6 1440 703) 1964)) (6 (10 (14 1440 1964)) (10 (14 703 1964))))) ))
   (REWRITE 1151 1 1287))
   (OPERATION (CLAUSE 1287 P44 (67 1151) ((703 . ANY)(1964 . ANY)(1440 . ANY)) ((+ 2 ((10 (6 (14 1440 1964) (14 703 1964))) (6 (10 (14 1440 1964)) (10 (14 703 1964))))) ))
   (REWRITE 67 1 1287))
   (OPERATION (CLAUSE 1287 P44 (67 1151) ((1440 . ANY)(1964 . ANY)(703 . ANY)) ((+ 2 ((6 (10 (14 703 1964)) (10 (14 1440 1964))) (6 (10 (14 1440 1964)) (10 (14 703 1964))))) ))
   (REWRITE 1154 1 1287))
   (OPERATION (CLAUSE 2195 P45 (56 1915) ((1856 . ANY)(2064 . ANY)(2065 . ANY)) ((+ 2 ((10 (14 2065 (6 2064 1856))) (6 (14 (10 2065) 2064) (14 (10 2065) 1856)))) ))
   (PARAMODULATION 1915 1 (1) 56 1 (1) NIL (15 (10 1961) 1532 (6 16 17)) 2195))
   (OPERATION (CLAUSE 2195 P45 (56 1915) ((1856 . ANY)(2064 . ANY)(2065 . ANY)) ((+ 2 ((10 (14 2065 (6 2064 1856))) (6 (10 (14 2065 2064)) (14 (10 2065) 1856)))) ))
   (REWRITE 1915 1 2195))
   (OPERATION (CLAUSE 2195 P45 (56 1915) ((1856 . ANY)(2064 . ANY)(2065 . ANY)) ((+ 2 ((10 (14 2065 (6 2064 1856))) (6 (10 (14 2065 2064)) (10 (14 2065 1856))))) ))
   (REWRITE 1915 1 2195))
   (OPERATION (CLAUSE 2195 P45 (56 1915) ((1856 . ANY)(2064 . ANY)(2065 . ANY)) ((+ 2 ((10 (6 (14 2065 2064) (14 2065 1856))) (6 (10 (14 2065 2064)) (10 (14 2065 1856))))) ))
   (REWRITE 56 1 2195))
   (OPERATION (CLAUSE 2195 P45 (56 1915) ((2064 . ANY)(1856 . ANY)(2065 . ANY)) ((+ 2 ((6 (10 (14 2065 1856)) (10 (14 2065 2064))) (6 (10 (14 2065 2064)) (10 (14 2065 1856))))) ))
   (REWRITE 1154 1 2195))
   (OPERATION (CLAUSE 2201 P46 (94 650) ((1682 . ANY))
   ((- 2 (1682 8)) (+ 2 (116 8)) (+ 2 ((14 116 1682) 8)) ))
   (PARAMODULATION 650 1 (2) 94 1 (1) NIL (24 116 25 (14 116 658)) 2201))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (14 2218 (6 2216 2217)) (14 2202 (6 2216 2217))) (6 (14 (6 2218 2202) 2216) (14 (6 2218 2202) 2217)))) ))
   (PARAMODULATION 67 1 (1) 56 1 (1) NIL (15 (6 19 20) 18 (6 16 17)) 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (14 2218 (6 2216 2217)) (14 2202 (6 2216 2217))) (6 (6 (14 2218 2216) (14 2202 2216)) (14 (6 2218 2202) 2217)))) ))
   (REWRITE 67 1 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (14 2218 (6 2216 2217)) (14 2202 (6 2216 2217))) (6 (6 (14 2218 2216) (14 2202 2216)) (6 (14 2218 2217) (14 2202 2217))))) ))
   (REWRITE 67 1 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (6 (14 2218 2216) (14 2218 2217)) (14 2202 (6 2216 2217))) (6 (6 (14 2218 2216) (14 2202 2216)) (6 (14 2218 2217) (14 2202 2217))))) ))
   (REWRITE 56 1 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (6 (14 2218 2216) (14 2218 2217)) (6 (14 2202 2216) (14 2202 2217))) (6 (6 (14 2218 2216) (14 2202 2216)) (6 (14 2218 2217) (14 2202 2217))))) ))
   (REWRITE 56 1 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (14 2218 2216) (6 (14 2218 2217) (6 (14 2202 2216) (14 2202 2217)))) (6 (6 (14 2218 2216) (14 2202 2216)) (6 (14 2218 2217) (14 2202 2217))))) ))
   (REWRITE 33 1 2208))
   (OPERATION (CLAUSE 2208 P47 (56 67) ((2202 . ANY)(2217 . ANY)(2216 . ANY)(2218 . ANY)) ((+ 2 ((6 (14 2218 2216) (6 (14 2218 2217) (6 (14 2202 2216) (14 2202 2217)))) (6 (14 2218 2216) (6 (14 2202 2216) (6 (14 2218 2217) (14 2202 2217)))))) ))
   (REWRITE 33 1 2208))
   (OPERATION (CLAUSE 2234 P48 (50 2201) ((2203 . ANY)(2204 . ANY))
   ((+ 2 ((14 8 2204) (14 116 (14 2203 2204)))) (- 2 (2203 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 2201 3 (1) 50 1 (1 1) NIL (11 116 1682 12) 2234))
   (OPERATION (CLAUSE 2234 P48 (50 2201) ((2204 . ANY)(2203 . ANY))
   ((+ 2 (8 (14 116 (14 2203 2204)))) (- 2 (2203 8)) (+ 2 (116 8)) ))
   (REWRITE 1156 1 2234))
   (OPERATION (CLAUSE 2332 R2 (94 2234) ((2510 . ANY)(2509 . ANY))
   ((- 2 (2509 8)) (+ 2 (116 8)) (+ 2 (116 8)) (+ 2 ((14 2509 2510) 8)) ))
   (RESOLUTION 2234 1 94 1 SYMMETRIC (24 116 25 (14 2203 2204)) 2332))
   (OPERATION (CLAUSE 2332 R2 (94 2234) ((2510 . ANY)(2509 . ANY))
   ((- 2 (2509 8)) (+ 2 (116 8)) (+ 2 ((14 2509 2510) 8)) ))
   (DOUBLE.LITERAL 2 3 SYMMETRIC 2332))
   (OPERATION (CLAUSE 2234 P48 (50 2201) ((2203 . ANY))
   ((+ 2 (8 8)) (- 2 (2203 8)) (+ 2 (116 8)) ))
   (REWRITE 2332 1 2234))
   (OPERATION (CLAUSE 2236 P49 (1151 2332) ((2950 . ANY)(2949 . ANY))
   ((+ 2 (8 (10 (14 2949 2950)))) (- 2 (2949 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 2332 3 (1) 1151 1 (1) NIL (2510 (10 967) 2509 1309) 2236))
   (OPERATION (CLAUSE 2236 P49 (1151 2332) ((2949 . ANY))
   ((+ 2 (8 (10 8))) (- 2 (2949 8)) (+ 2 (116 8)) ))
   (REWRITE 2332 1 2236))
   (OPERATION (CLAUSE 2236 P49 (1151 2332) ((2949 . ANY))
   ((+ 2 (8 8)) (- 2 (2949 8)) (+ 2 (116 8)) ))
   (REWRITE 386 1 2236))
   (OPERATION (CLAUSE 2554 P50 (2332 1151) ((2563 . ANY)(2352 . ANY))
   ((+ 2 ((10 (14 2352 2563)) 8)) (- 2 (2352 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 1151 1 (1) 2332 3 (1) NIL (1309 2509 2510 (10 967)) 2554))
   (OPERATION (CLAUSE 2554 P50 (2332 1151) ((2352 . ANY))
   ((+ 2 ((10 8) 8)) (- 2 (2352 8)) (+ 2 (116 8)) ))
   (REWRITE 2332 1 2554))
   (OPERATION (CLAUSE 2554 P50 (2332 1151) ((2352 . ANY))
   ((+ 2 (8 8)) (- 2 (2352 8)) (+ 2 (116 8)) ))
   (REWRITE 386 1 2554))
   (OPERATION (CLAUSE 2344 P51 (94 1151) ((2342 . ANY)(2947 . ANY))
   ((- 2 ((10 (14 2947 2342)) 8)) (+ 2 (2947 8)) (+ 2 ((10 2342) 8)) ))
   (PARAMODULATION 1151 1 (1) 94 1 (1) NIL (1309 24 25 (10 967)) 2344))
   (OPERATION (CLAUSE 2348 P52 (2344 2201) ((1523 . ANY))
   ((- 2 ((10 8) 8)) (- 2 (1523 8)) (+ 2 (116 8)) (+ 2 (116 8)) (+ 2 ((10 1523) 8)) ))
   (PARAMODULATION 2201 3 (1) 2344 1 (1 1) NIL (2947 116 1682 2342) 2348))
   (OPERATION (CLAUSE 2348 P52 (2344 2201) ((1523 . ANY))
   ((- 2 (8 8)) (- 2 (1523 8)) (+ 2 (116 8)) (+ 2 (116 8)) (+ 2 ((10 1523) 8)) ))
   (REWRITE 386 1 2348))
   (OPERATION (CLAUSE 2348 P52 (2344 2201) ((1523 . ANY))
   ((- 2 (8 8)) (- 2 (1523 8)) (+ 2 (116 8)) (+ 2 ((10 1523) 8)) ))
   (DOUBLE.LITERAL 3 4 SYMMETRIC 2348))
   (OPERATION (CLAUSE 2348 P52 (2344 2201) ((1523 . ANY))
   ((- 2 (1523 8)) (+ 2 (116 8)) (+ 2 ((10 1523) 8)) ))
   (REPLACEMENT.OPERATION NIL (2348 29)
  (((2348 . 1) (29 . 1) NIL))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 3567 R3 (2344 2348) ((3896 . ANY)(3895 . ANY))
   ((- 2 ((14 3895 3896) 8)) (+ 2 (116 8)) (+ 2 (3895 8)) (+ 2 ((10 3896) 8)) ))
   (RESOLUTION 2348 3 2344 1 SYMMETRIC (1523 (14 2947 2342)) 3567))
   (OPERATION (CLAUSE 4100 P53 (382 2348) ((4102 . ANY))
   ((+ 2 (4102 8)) (- 2 ((10 4102) 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 2348 3 (1) 382 1 (2) NIL (1523 (10 388)) 4100))
   (OPERATION (CLAUSE 4203 P54 (58 2348) ((4207 . ANY)(4206 . ANY))
   ((+ 2 (4206 (6 8 (6 4207 4206)))) (- 2 (4207 8)) (+ 2 (116 8)) ))
   (PARAMODULATION 2348 3 (1) 58 1 (2 1) NIL (1523 112) 4203))
   (OPERATION (CLAUSE 4203 P54 (58 2348) ((4207 . ANY)(4206 . ANY))
   ((+ 2 (4206 (6 4207 4206))) (- 2 (4207 8)) (+ 2 (116 8)) ))
   (REWRITE 40 1 4203))
   (OPERATION (CLAUSE 4476 P55 (2344 581) ()
   ((- 2 ((10 22) 8)) (+ 2 (116 8)) (+ 2 ((10 116) 8)) ))
   (PARAMODULATION 581 1 (1) 2344 1 (1 1) NIL (2947 116 2342 116) 4476))
   (OPERATION (CLAUSE 4476 P55 (2344 581) ()
   ((- 2 ((10 22) 8)) (+ 2 (116 8)) (+ 2 ((10 116) 8)) ))
   (REPLACEMENT.OPERATION (4102 116) (4476 4100)
  (((4476 . 3) (4100 . 2) SYMMETRIC))
  ((((4476 . 2) (4100 . 1) SYMMETRIC) ((4476 . 2) (4100 . 3) SYMMETRIC)))
  NIL))
   (OPERATION (CLAUSE 4484 P56 (2344 82) ((4480 . ANY))
   ((- 2 ((10 4480) 8)) (+ 2 (4480 8)) (+ 2 ((10 22) 8)) ))
   (PARAMODULATION 82 1 (1) 2344 1 (1 1) NIL (23 2947 2342 22) 4484))
   (OPERATION (CLAUSE 4717 P57 (44 4484) ((4720 . ANY))
   ((+ 2 ((6 8 22) 8)) (- 2 ((10 4720) 8)) (+ 2 (4720 8)) ))
   (PARAMODULATION 4484 3 (1) 44 1 (1 1) NIL (9 22) 4717))
   (OPERATION (CLAUSE 4717 P57 (44 4484) ((4720 . ANY))
   ((+ 2 (22 8)) (- 2 ((10 4720) 8)) (+ 2 (4720 8)) ))
   (REWRITE 40 1 4717))
   (OPERATION (CLAUSE 4717 P57 (44 4484) ((4720 . ANY))
   ((+ 2 (22 8)) (- 2 ((10 4720) 8)) (+ 2 (4720 8)) ))
   (REPLACEMENT.OPERATION NIL (4717 704)
  (((4717 . 1) (704 . 1) SYMMETRIC))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 4892 P58 (4717 382) ((4895 . ANY))
   ((- 2 (4895 8)) (+ 2 ((10 4895) 8)) ))
   (PARAMODULATION 382 1 (2) 4717 1 (1) NIL (4720 (10 388)) 4892))
   (OPERATION (CLAUSE 386 P5 (44 375) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 386))
   (OPERATION (CLAUSE 4956 R4 (2344 4892) ((4960 . ANY)(4959 . ANY))
   ((- 2 ((14 4959 4960) 8)) (+ 2 (4959 8)) (+ 2 ((10 4960) 8)) ))
   (RESOLUTION 4892 2 2344 1 SYMMETRIC (4895 (14 2947 2342)) 4956))
   (OPERATION (CLAUSE 3576 R5 (4956 978) ((4887 . ANY))
   ((+ 2 (4887 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 978 1 4956 1 SYMMETRIC (4959 975 4960 8) 3576))
   (OPERATION (CLAUSE 3576 R5 (4956 978) ((4887 . ANY))
   ((+ 2 (4887 8)) (+ 2 ((10 8) 8)) ))
   (REPLACEMENT.OPERATION (4887 (10 8)) (3576)
  NIL
  ((((3576 . 2) (3576 . 1) SYMMETRIC)))
  NIL))
   (OPERATION (CLAUSE 3576 R5 (4956 978) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 3576))
   (OPERATION (CLAUSE 5307 R6 (4956 76) ()
   ((+ 2 (22 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 76 1 4956 1 SYMMETRIC (4959 22 4960 8 21 8) 5307))
   (OPERATION (CLAUSE 5307 R6 (4956 76) ()
   ((+ 2 (22 8)) (+ 2 ((10 8) 8)) ))
   (REPLACEMENT.OPERATION NIL (5307 704)
  (((5307 . 1) (704 . 1) SYMMETRIC))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 5307 R6 (4956 76) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 5307))
   (OPERATION (CLAUSE 5440 P59 (4956 978) ((5438 . ANY))
   ((- 2 (8 8)) (+ 2 (5438 8)) (+ 2 ((10 8) 8)) ))
   (PARAMODULATION 978 1 (1) 4956 1 (1) NIL (975 4959 4960 8) 5440))
   (OPERATION (CLAUSE 5538 R7 (4956 650) ()
   ((+ 2 (116 8)) (+ 2 ((10 (14 116 8)) 8)) ))
   (RESOLUTION 650 1 4956 1 SYMMETRIC (658 8 4959 116 4960 (14 116 8)) 5538))
   (OPERATION (CLAUSE 5538 R7 (4956 650) ()
   ((+ 2 (116 8)) (+ 2 ((10 8) 8)) ))
   (REWRITE 978 2 5538))
   (OPERATION (CLAUSE 5538 R7 (4956 650) ()
   ((+ 2 (116 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 5538))
   (OPERATION (CLAUSE 5664 N1 (4956 76) ((5662 . ANY))
   ((- 2 (5662 8)) (+ 2 (22 8)) (+ 2 ((10 5662) 8)) ))
   (PARAMODULATION 4956 1 NIL 76 1 NIL NIL (4959 22 36 4960) 5664))
   (OPERATION (CLAUSE 5660 R8 (5664 29) ()
   ((+ 2 (22 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 5664 1 29 1 NIL (4960 8 4959 22) 5660))
   (OPERATION (CLAUSE 5660 R8 (5664 29) ()
   ((+ 2 (22 8)) (+ 2 ((10 8) 8)) ))
   (REPLACEMENT.OPERATION NIL (5660 704)
  (((5660 . 1) (704 . 1) SYMMETRIC))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 5660 R8 (5664 29) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 5660))
   (OPERATION (CLAUSE 5802 N2 (4956 978) ((5800 . ANY))
   ((- 2 (8 8)) (+ 2 (5800 8)) (+ 2 ((10 8) 8)) ))
   (PARAMODULATION 4956 1 NIL 978 1 NIL NIL (36 4959 4960 8) 5802))
   (OPERATION (CLAUSE 5798 R9 (5802 29) ((5795 . ANY))
   ((+ 2 (5795 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 5802 1 29 1 NIL (4960 8) 5798))
   (OPERATION (CLAUSE 5798 R9 (5802 29) ((5795 . ANY))
   ((+ 2 (5795 8)) (+ 2 ((10 8) 8)) ))
   (REPLACEMENT.OPERATION (5795 (10 8)) (5798)
  NIL
  ((((5798 . 2) (5798 . 1) SYMMETRIC)))
  NIL))
   (OPERATION (CLAUSE 5798 R9 (5802 29) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 5798))
   (OPERATION (CLAUSE 5955 N3 (4956 650) ((5953 . ANY))
   ((- 2 (5953 8)) (+ 2 (116 8)) (+ 2 ((10 (14 116 5953)) 8)) ))
   (PARAMODULATION 4956 1 NIL 650 1 NIL NIL (36 5951 4959 116 4960 (14 116 5951)) 5955))
   (OPERATION (CLAUSE 5950 R10 (5955 29) ()
   ((+ 2 (116 8)) (+ 2 ((10 (14 116 8)) 8)) ))
   (RESOLUTION 5955 1 29 1 NIL (4960 (14 116 8) 4959 116) 5950))
   (OPERATION (CLAUSE 5950 R10 (5955 29) ()
   ((+ 2 (116 8)) (+ 2 ((10 8) 8)) ))
   (REWRITE 978 2 5950))
   (OPERATION (CLAUSE 5950 R10 (5955 29) ()
   ((+ 2 (116 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 5950))
   (OPERATION (CLAUSE 6082 N4 (4956 50) ((6076 . ANY)(6077 . ANY)(6078 . ANY))
   ((- 2 ((14 6078 (14 6077 6076)) 8)) (+ 2 ((14 6078 6077) 8)) (+ 2 ((10 6076) 8)) ))
   (PARAMODULATION 4956 1 NIL 50 1 NIL NIL (37 5161 36 5143 4959 (14 5143 5161) 38 4960) 6082))
   (OPERATION (CLAUSE 6090 N5 (6082 978) ((6084 . ANY)(6085 . ANY)(6086 . ANY))
   ((- 2 ((14 6086 8) 8)) (+ 2 ((14 6086 6085) 8)) (+ 2 ((10 6084) 8)) ))
   (PARAMODULATION 6082 1 NIL 978 1 NIL NIL (36 5161 4960 8) 6090))
   (OPERATION (CLAUSE 6090 N5 (6082 978) ((6084 . ANY)(6085 . ANY)(6086 . ANY))
   ((- 2 (8 8)) (+ 2 ((14 6086 6085) 8)) (+ 2 ((10 6084) 8)) ))
   (REWRITE (978) 1 6090))
   (OPERATION (CLAUSE 6074 R11 (6090 29) ((6070 . ANY)(6071 . ANY))
   ((+ 2 ((14 6071 6070) 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 6090 1 29 1 NIL (4960 8 4959 (14 5143 5161)) 6074))
   (OPERATION (CLAUSE 6074 R11 (6090 29) ((6070 . ANY)(6071 . ANY))
   ((+ 2 ((14 6071 6070) 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 6074))
   (OPERATION (CLAUSE 6488 N6 (4956 67) ((6482 . ANY)(6483 . ANY)(6484 . ANY))
   ((- 2 ((6 (14 6484 6483) (14 6482 6483)) 8)) (+ 2 ((6 6484 6482) 8)) (+ 2 ((10 6483) 8)) ))
   (PARAMODULATION 4956 1 NIL 67 1 NIL NIL (37 5130 36 5159 4959 (6 5159 5130) 38 4960) 6488))
   (OPERATION (CLAUSE 6496 N7 (6488 978) ((6490 . ANY)(6491 . ANY)(6492 . ANY))
   ((- 2 ((6 8 (14 6492 6491)) 8)) (+ 2 ((6 6490 6492) 8)) (+ 2 ((10 6491) 8)) ))
   (PARAMODULATION 6488 1 NIL 978 1 NIL NIL (36 5159 4960 8) 6496))
   (OPERATION (CLAUSE 6496 N7 (6488 978) ((6491 . ANY)(6492 . ANY)(6490 . ANY))
   ((- 2 (8 8)) (+ 2 ((6 6490 6492) 8)) (+ 2 ((10 6491) 8)) ))
   (REWRITE (40 978) 1 6496))
   (OPERATION (CLAUSE 6480 R12 (6496 29) ((6476 . ANY)(6477 . ANY))
   ((+ 2 ((6 6477 6476) 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 6496 1 29 1 NIL (4960 8 4959 (6 5159 5130)) 6480))
   (OPERATION (CLAUSE 6480 R12 (6496 29) ((6476 . ANY)(6477 . ANY))
   ((+ 2 ((6 6477 6476) 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 6480))
   (OPERATION (CLAUSE 6812 N8 (4956 67) ((6806 . ANY)(6807 . ANY)(6808 . ANY))
   ((- 2 ((6 (14 6808 6807) (14 6806 6807)) 8)) (+ 2 ((6 6808 6806) 8)) (+ 2 ((10 6807) 8)) ))
   (PARAMODULATION 4956 1 NIL 67 1 NIL NIL (37 5130 36 5159 4959 (6 5159 5130) 38 4960) 6812))
   (OPERATION (CLAUSE 6822 N9 (6812 76) ((6814 . ANY)(6815 . ANY)(6816 . ANY)(6817 . ANY))
   ((- 2 ((6 6817 (14 6816 6815)) 8)) (+ 2 ((6 6814 6816) 8)) (+ 2 ((10 6815) 8)) ))
   (PARAMODULATION 6812 1 NIL 76 1 NIL NIL (5159 22 36 4960) 6822))
   (OPERATION (CLAUSE 6832 N10 (6822 978) ((6824 . ANY)(6825 . ANY)(6826 . ANY)(6827 . ANY))
   ((- 2 ((6 6827 8) 8)) (+ 2 ((6 6826 6825) 8)) (+ 2 ((10 6824) 8)) ))
   (PARAMODULATION 6822 1 NIL 978 1 NIL NIL (36 5130 4960 8) 6832))
   (OPERATION (CLAUSE 6832 N10 (6822 978) ((6824 . ANY)(6825 . ANY)(6826 . ANY))
   ((- 2 (8 8)) (+ 2 ((6 6826 6825) 8)) (+ 2 ((10 6824) 8)) ))
   (REWRITE (40) 1 6832))
   (OPERATION (CLAUSE 6804 R13 (6832 29) ((6802 . ANY))
   ((+ 2 ((6 22 6802) 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 6832 1 29 1 NIL (4960 8 4959 (6 22 5130)) 6804))
   (OPERATION (CLAUSE 6804 R13 (6832 29) ((6802 . ANY))
   ((+ 2 ((6 22 6802) 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 6804))
   (OPERATION (CLAUSE 7030 N11 (4956 67) ((7024 . ANY)(7025 . ANY)(7026 . ANY))
   ((- 2 ((6 (14 7026 7025) (14 7024 7025)) 8)) (+ 2 ((6 7026 7024) 8)) (+ 2 ((10 7025) 8)) ))
   (PARAMODULATION 4956 1 NIL 67 1 NIL NIL (37 5130 36 5159 4959 (6 5159 5130) 38 4960) 7030))
   (OPERATION (CLAUSE 7040 N12 (7030 76) ((7032 . ANY)(7033 . ANY)(7034 . ANY)(7035 . ANY))
   ((- 2 ((6 7035 (14 7034 7033)) 8)) (+ 2 ((6 7032 7034) 8)) (+ 2 ((10 7033) 8)) ))
   (PARAMODULATION 7030 1 NIL 76 1 NIL NIL (5159 22 36 4960) 7040))
   (OPERATION (CLAUSE 7052 N13 (7040 76) ((7042 . ANY)(7043 . ANY)(7044 . ANY)(7045 . ANY)(7046 . ANY))
   ((- 2 ((6 7046 7045) 8)) (+ 2 ((6 7044 7043) 8)) (+ 2 ((10 7042) 8)) ))
   (PARAMODULATION 7040 1 NIL 76 1 NIL NIL (5130 22 36 4960) 7052))
   (OPERATION (CLAUSE 7060 N14 (7052 40) ((7054 . ANY)(7055 . ANY)(7056 . ANY))
   ((- 2 (8 8)) (+ 2 ((6 7056 7055) 8)) (+ 2 ((10 7054) 8)) ))
   (PARAMODULATION 7052 1 NIL 40 1 NIL NIL (4960 8 36 8) 7060))
   (OPERATION (CLAUSE 7022 R14 (7060 29) ()
   ((+ 2 ((6 22 22) 8)) (+ 2 ((10 8) 8)) ))
   (RESOLUTION 7060 1 29 1 NIL (4960 8 4959 (6 22 22)) 7022))
   (OPERATION (CLAUSE 7022 R14 (7060 29) ()
   ((+ 2 ((6 22 22) 8)) (+ 2 (8 8)) ))
   (REWRITE 4892 2 7022))
   (OPERATION (CLAUSE 7167 N15 (4956 1151) ((7163 . ANY)(7164 . ANY))
   ((- 2 ((10 (14 7164 7163)) 8)) (+ 2 (7164 8)) (+ 2 ((10 (10 7163)) 8)) ))
   (PARAMODULATION 4956 1 NIL 1151 1 NIL NIL (37 7161 36 4959 4960 (10 7161)) 7167))
   (OPERATION (CLAUSE 7167 N15 (4956 1151) ((7164 . ANY)(7163 . ANY)(7161 . ANY)(4959 . ANY))
   ((- 2 ((10 (14 4959 7161)) 8)) (+ 2 (7164 8)) (+ 2 ((10 (10 7163)) 8)) ))
   (REWRITE (382) 1 7167))
   (OPERATION (CLAUSE 7177 N16 (7167 82) ((7171 . ANY)(7172 . ANY)(7173 . ANY))
   ((- 2 ((10 7173) 8)) (+ 2 (7172 8)) (+ 2 ((10 (10 7171)) 8)) ))
   (PARAMODULATION 7167 1 NIL 82 1 NIL NIL (36 4959 7161 22) 7177))
   (OPERATION (CLAUSE 7186 N17 (7177 382) ((7180 . ANY)(7181 . ANY)(7182 . ANY))
   ((- 2 (7182 8)) (+ 2 (7181 8)) (+ 2 ((10 (10 7180)) 8)) ))
   (PARAMODULATION 7177 1 NIL 382 1 NIL NIL (36 7178 4959 (10 7178)) 7186))
   (OPERATION (CLAUSE 7160 R15 (7186 29) ()
   ((+ 2 ((10 8) 8)) (+ 2 ((10 (10 22)) 8)) ))
   (RESOLUTION 7186 1 29 1 NIL (4959 (10 8) 4960 (10 22)) 7160))
   (OPERATION (CLAUSE 7160 R15 (7186 29) ()
   ((+ 2 ((10 8) 8)) (+ 2 (22 8)) ))
   (REWRITE 382 2 7160))
   (OPERATION (CLAUSE 7160 R15 (7186 29) ()
   ((+ 2 ((10 8) 8)) (+ 2 (22 8)) ))
   (REPLACEMENT.OPERATION NIL (7160 704)
  (((7160 . 2) (704 . 1) SYMMETRIC))
  (NIL)
  NIL))
   (OPERATION (CLAUSE 7160 R15 (7186 29) () ((+ 2 (8 8)) ))
   (REWRITE 4892 1 7160))