;;; -*- Mode: LISP; Package: MKRP; Syntax: Common-lisp -*-
(* IN THIS TEST, THE SUITOR^S CHANCES (IF HE GUESSED BLINDLY))
(* WERE ONE OUT OF TWO. PORTIA USED ONLY TWO CASKETS, GOLD)
(* AND SILVER, AND ONE OF THEM CONTAINED HER PORTRAIT (NO I * DAGGER WAS USED IN THIS TEST) . AGAIN EACH CASKET WAS)
(* FASHIONED EITHER BY CELLINI OR BELLINI.)
(* THE CASKETS READ:)
(*)
(* GOLD: THE PORTRAIT IS
NOT IN HERE)
(* SILVER: EXACTLY ONE OF THESE TWO CASKETS WAS FASHIONED BY BELLIN I)
(*)
(* WHICH CASKET SHOULD THE SUITOR CHOOSE IN ORDER TO FIND THE PORTR AIT?)
(*)
(* WE DEFINE THE FOLLOWING PREDICATES:)
(* BELLINI,CELLINI,PORTRAIT,INSCR.PORTRAIT,NEG.INSCR.PORTRAIT)
(* MEAN THE SAME AS IN 69A AND 67A)
(* EXACTLY.ONE.BELLINI (X Y) - EXACTLY ONE
OF THE CASKETS X,Y)
(* WAS FASHIONED BY BELLINI.)
(* INSCR.EXACTLY.ONE.BELLINI (X Y Z) - THE INSCRIPTION X TELLS THAT)
(* EXACTLY ONE CASKET WAS FASHIONED BY BELLINI)
(*)
(* DECLARATIONS:)
(TYPE GOLD,SILVER,LEAD : CASKET)
(TYPE BELLINI (CASKET))
(TYPE CELLINI (CASKET))
(TYPE PORTRAIT (CASKET))
(TYPE INSCR.PORTRAIT
(INSCRIPT CASKET))
(TYPE NEG.INSCR.PORTRAIT (INSCRIPT CASKET))
(TYPE EXACTLY.ONE.BELLINI (CASKET CASKET))
(TYPE INSCR.EXACTLY.ONE.BELLINI (INSCRIPT CASKET CASKET))
(TYPE TRUTH
(INSCRIPT))
(TYPE INSCRIPTION (CASKET) :INSCRIPT)
(* THE PORTRAIT IS IN EXACTLY ONE CASKET)
(PORTRAIT (GOLD) OR PORTRAIT (SILVER))
(NOT PORTRAIT
(GOLD) OR NOT PORTRAIT (SILVER))
(*)
(* IMPLICATIONS TO BE DRAWN FROM INSCRIPTIONS:)
(ALL X:INSCRIPT ALL Y:CASKET INSCR.PORTRAIT (X Y) AND TRUTH
(X) IMPL PORTRAIT (Y))
(ALL X:INSCRIPT ALL Y:CASKET INSCR.PORTRAIT (X Y) AND NOT TRUTH (X) IMPL NOT PORTRAIT (Y))
(ALL X:INSCRIPT ALL Y:CASKET NEG.INSCR.PORTRAIT (X Y) AND TRUTH (X) IMPL NOT PORTRAIT (Y))
(ALL X:INSCRIPT ALL Y:CASKET NEG.INSCR.PORTRAIT (X Y) AND NOT TRUTH (X) IMPL PORTRAIT (Y))
(ALL X:INSCRIPT
ALL Y,Z:CASKET INSCR.EXACTLY.ONE.BELLINI (X Y Z) AND TRUTH (X) IMPL EXACTLY.ONE.BELLINI (Y Z))
(ALL X:INSCRIPT ALL Y,Z:CASKET 
INSCR.EXACTLY.ONE.BELLINI (X Y Z) AND NOT TRUTH (X) IMPL NOT EXACTLY.ONE.BELLINI (Y Z))
(*)
(* EXACTLY
ONE CASKET WAS FASHIONED BY BELLINI)
(ALL Y,Z:CASKET EXACTLY.ONE.BELLINI (Y Z) EQV (BELLINI (Y) OR BELLINI (Z)) AND (NOT BELLINI (Y) OR NOT BELLINI (Z)))
(* BELLINI PUT ONLY TRUE AND CELLINI ONLY FALSE INSCRIPTIONS ON)
(*
THE CASKETS)
(ALL X:CASKET BELLINI (X) EQV TRUTH (INSCRIPTION (X)))
(ALL X:CASKET CELLINI (X) EQV NOT TRUTH (INSCRIPTION (X)))
(*)
(* ACTUAL INSCRIPTIONS)
(INSCR.EXACTLY.ONE.BELLINI (INSCRIPTION (SILVER) GOLD SILVER))
(NEG.INSCR.PORTRAIT (INSCRIPTION (GOLD) GOLD))


(PORTRAIT (GOLD))