;;; -*- Mode: LISP; Package: MKRP; Syntax: Common-lisp -*-
(* THE THIRD TEST (E69C) .)
(*)
(* IF THE SUITOR PASSED THESE TWO TESTS, HE WAS LED INTO ANOTHER)
(* ROOM CONTAINING A GOLD,SILVER,AND LEAD CASKET. AGAIN EACH CASKET)
(* WAS FASHIONED BY EITHER CELLINI OR BELLINI. NOW IN THIS TEST, THE)
(* SUITOR^S CHANCES WERE ONE OUT OF THREE (IF HE GUESSED BLINDLY)  PORTIA)
(* USED A PORTRAIT OF HERSELF, AND THE PORTRAIT WAS IN ONE OF THE CASKETS.)
(* TO PASS THE TEST,THE SUITOR HAD TO (1) SELECT THE CASKET CONTAINING THE)
(* PORTRAIT (2) TELL THE MAKER OF EACH CASKET. THE THREE INSCRIPTIONS READ:)
(* GOLD:ThE PORTRAIT IS IN HERE)
(* SILVER:THE PORTRAIT IS IN HERE)
(* LEAD:AT LEAST TWO OF THESE CASKETS WERE FASHIONED BY CELLINI)
(* WHAT IS THE SOLUTION ?)
(*)
(* WE DEFINE THE FOLLOWING PREDICATES:)
(* PORTRAIT,BELLINI,CELLINI,INSCR.PORTRAIT AND TRUTH MEAN THE SAME AS)
(* DESCRIBED IN SM69A AND SM69B.)
(TYPE PORTRAIT (CASKET))
(TYPE BELLINI (CASKET))
(TYPE CELLINI (CASKET))
(TYPE INSCR.PORTRAIT (INSCRIPT CASKET))
(TYPE TRUTH (INSCRIPT))
(* MIN2C (U V TRUTH) ---AT LEAST TWO OF THE CASKETS U,V,W WERE FASHIONED BY CELLINI.)
(* IMIN2C (X U V TRUTH) ---THE INSCRIPTION X TELLS THAT AT LEAST TWO OF THE CASKETS)
(* WERE FASHIONED BY CELLINI.)
(TYPE MIN2C (CASKET CASKET CASKET))
(TYPE IMIN2C (INSCRIPT CASKET
CASKET CASKET))
(*)
(* WE DEFINE THE FOLLOWING FUNCTION:)
(* INSCRIPTION (X) ---ASSIGNS EACH CASKET AN INSCRIPTION)
(TYPE GOLD,SILVER,LEAD : CASKET)
(TYPE
INSCRIPTION (CASKET) :INSCRIPT)
(*)
(* THEN THE FOLLOWING PROPOSITIONS HOLD:)
(*)
(* THERE IS EXACTLY ONE PORTRAIT:)
(PORTRAIT (GOLD) OR PORTRAIT (SILVER)
OR PORTRAIT (LEAD))
(NOT (PORTRAIT (GOLD) AND PORTRAIT (SILVER) OR PORTRAIT (GOLD) AND PORTRAIT (LEAD) OR PORTRAIT (SILVER) AND PORTRAIT (LEAD)))
(*)
(* EQUIVALENCES TO BE DRAWN FROM KNOWLEDGE:)
(*)
(* EACH CASKET WAS FASHIONED BY EITHER CELLINI OR BELLINI:)
(ALL X:CASKET CELLINI (X) EQV NOT TRUTH (INSCRIPTION (X)))
(ALL X:CASKET BELLINI (X) EQV TRUTH (INSCRIPTION (X)))
(*)
(* MEANING OF THE PREDICAT MIN2C:)
(ALL 
U,V,W:CASKET MIN2C (U V W) EQV (CELLINI (U) AND CELLINI (V) OR CELLINI (V) AND CELLINI (W) OR CELLINI (W) AND CELLINI (U)))
(*)
(* IMPLICATIONS
TO BE DRAWN FROM INSCRIPTION:)
(ALL X:INSCRIPT ALL Y:CASKET INSCR.PORTRAIT (X Y) AND TRUTH (X) IMPL PORTRAIT (Y))
(ALL
X:INSCRIPT ALL Y:CASKET INSCR.PORTRAIT (X Y) AND NOT TRUTH (X) IMPL NOT PORTRAIT (Y))
(ALL X:INSCRIPT ALL U,V,W:CASKET IMIN2C
(X U V W) AND TRUTH (X) IMPL MIN2C (U V W))
(ALL X:INSCRIPT ALL U,V,W:CASKET IMIN2C (X U V W) AND NOT
TRUTH (X) IMPL NOT MIN2C (U V W))
(* ACTUAL INSCRIPTIONS:)
(INSCR.PORTRAIT
(INSCRIPTION (GOLD) GOLD))
(INSCR.PORTRAIT (INSCRIPTION (SILVER) SILVER))
(IMIN2C (INSCRIPTION (LEAD) GOLD SILVER LEAD))

(* THEOREMS FOR THE SEVENTH PORTIA PROBLEM (SM.E69C))
(*)
(PORTRAIT (LEAD) AND CELLINI (GOLD) AND CELLINI (SILVER) AND BELLINI (LEAD))