(* PROBLEM E92)
(*)
(* IN THIS PROBLEM WE GET THE FOLLOWING TWO STATEMENTS:)
(* A: AT LEAST ONE OF THE THREE OF US IS A KNAVE.)
(* B: C IS A WEREWOLF.)
(* GIVEN THAT THERE IS EXACTLY ONE WEREWOLF AND THAT HE IS A KNIGHT,)
(* WHO IS THE WEREWOLF?)
(*)
(*)
(* THE FUNCTION STATE (X) AND THE PREDICATES TRUTH (X) , KNIGHT (X)
, KNAVE (X) ,)
(* AND WEREWOLF (X) MEAN THE SAME AS IN E89.)
(* THE FOLLOWING PREDICATES ARE NEW:)
(* STATE.WEREWOLF (X Y) - STATEMENT X TELLS THAT PERSON Y IS A WEREWOLF)
(* AT-LEAST-ONE-KNAVE (X Y Z) - AT LEAST ONE PERSON X,Y,OR Z IS A KNAVE)
(* STATE.AT-LEAST-ONE-KNAVE (S X Y Z) - STATEMENT S TELLS THAT AT LEAST ONE)
(* PERSON X,Y, OR Z IS A KNAVE)
(*)
(* DECLARATIONS:)
(TYPE A,B,C : PERSON)
(TYPE STATE (PERSON) :STATEMENT)
(TYPE TRUTH (STATEMENT))
(TYPE KNIGHT (PERSON))
(TYPE KNAVE (PERSON))
(TYPE WEREWOLF (PERSON))
(TYPE STATE.WEREWOLF (STATEMENT PERSON))
(TYPE AT-LEAST-ONE-KNAVE (PERSON PERSON PERSON))
(TYPE STATE.AT-LEAST-ONE-KNAVE (STATEMENT PERSON PERSON PERSON))
(*)
(* KNIGHT ALWAYS TELL THE TRUTH AND KNAVE ALWAYS LIE:)
(ALL X:PERSON KNIGHT (X) EQV TRUTH (STATE (X)))
(ALL X:PERSON
KNAVE (X) EQV NOT (TRUTH (STATE (X))))
(*)
(* THERE IS EXACTLY ONE WEREWOLF:)
(WEREWOLF (A) OR WEREWOLF (B) OR WEREWOLF (C))
(NOT (WEREWOLF (A) AND WEREWOLF (B) OR WEREWOLF (B) AND WEREWOLF (C) OR WEREWOLF (C) AND WEREWOLF (A)))
(*)
(* EXPLANATION OF AT-LEAST-ONE-KNAVE:)
(ALL X,Y,Z:PERSON AT-LEAST-ONE-KNAVE (X Y Z) EQV KNAVE (X) OR KNAVE (Y) OR KNAVE (Z))
(*)
(* IMPLICATIONS ABOUT STATEMENTS:)
(ALL X:STATEMENT ALL Y:PERSON STATE.WEREWOLF
(X Y) AND TRUTH (X) IMPL WEREWOLF (Y))
(ALL X:STATEMENT ALL Y:PERSON STATE.WEREWOLF (X Y) AND NOT (TRUTH (X)) IMPL NOT (WEREWOLF (Y)))
(ALL S:STATEMENT ALL X,Y,Z:PERSON STATE.AT-LEAST-ONE-KNAVE (S X Y Z) AND TRUTH (S) IMPL AT-LEAST-ONE-KNAVE (X Y Z))
(ALL S:STATEMENT ALL X,Y,Z:PERSON STATE.AT-LEAST-ONE-KNAVE (S X Y Z) AND NOT (TRUTH (S)) IMPL NOT (AT-LEAST-ONE-KNAVE (X Y Z)))
(*)
(* THE WEREWOLF IS A KNIGHT:)
(ALL X:PERSON WEREWOLF (X) IMPL KNIGHT (X))
(*)
(* ACTUAL STATEMENTS:)
(STATE.AT-LEAST-ONE-KNAVE (STATE (A) A B C))
(STATE.WEREWOLF (STATE (B) C))

(WEREWOLF (A))

